#pragma once

#include "td/telegram/td_api.h"

#include "td/utils/JsonBuilder.h"
#include "td/utils/Status.h"

namespace td {
namespace td_api{
Result<int32> tl_constructor_from_string(td_api::AuthenticationCodeType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::AuthorizationState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::CallDiscardReason *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::CallState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::CallbackQueryPayload *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatAction *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatEventAction *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatMemberStatus *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatMembersFilter *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatReportReason *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ChatType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::CheckChatUsernameResult *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ConnectionState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::DeviceToken *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::FileType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InlineKeyboardButtonType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InlineQueryResult *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputCredentials *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputFile *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputInlineQueryResult *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputMessageContent *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputPassportElement *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::InputPassportElementErrorSource *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::KeyboardButtonType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::LanguagePackStringValue *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::LinkState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::MaskPoint *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::MessageContent *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::MessageForwardInfo *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::MessageSendingState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::NetworkStatisticsEntry *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::NetworkType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::NotificationSettingsScope *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::OptionValue *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::PageBlock *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::PassportElement *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::PassportElementErrorSource *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::PassportElementType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ProxyType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::ReplyMarkup *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::RichText *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::SearchMessagesFilter *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::SecretChatState *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::SupergroupMembersFilter *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::TMeUrlType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::TextEntityType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::TextParseMode *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::TopChatCategory *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::Update *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::UserPrivacySetting *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::UserPrivacySettingRule *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::UserStatus *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::UserType *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::Object *object, const std::string &str);
Result<int32> tl_constructor_from_string(td_api::Function *object, const std::string &str);
Status from_json(td_api::accountTtl &to, JsonObject &from);
Status from_json(td_api::address &to, JsonObject &from);
Status from_json(td_api::animation &to, JsonObject &from);
Status from_json(td_api::animations &to, JsonObject &from);
Status from_json(td_api::audio &to, JsonObject &from);
Status from_json(td_api::authenticationCodeInfo &to, JsonObject &from);
Status from_json(td_api::authenticationCodeTypeTelegramMessage &to, JsonObject &from);
Status from_json(td_api::authenticationCodeTypeSms &to, JsonObject &from);
Status from_json(td_api::authenticationCodeTypeCall &to, JsonObject &from);
Status from_json(td_api::authenticationCodeTypeFlashCall &to, JsonObject &from);
Status from_json(td_api::authorizationStateWaitTdlibParameters &to, JsonObject &from);
Status from_json(td_api::authorizationStateWaitEncryptionKey &to, JsonObject &from);
Status from_json(td_api::authorizationStateWaitPhoneNumber &to, JsonObject &from);
Status from_json(td_api::authorizationStateWaitCode &to, JsonObject &from);
Status from_json(td_api::authorizationStateWaitPassword &to, JsonObject &from);
Status from_json(td_api::authorizationStateReady &to, JsonObject &from);
Status from_json(td_api::authorizationStateLoggingOut &to, JsonObject &from);
Status from_json(td_api::authorizationStateClosing &to, JsonObject &from);
Status from_json(td_api::authorizationStateClosed &to, JsonObject &from);
Status from_json(td_api::basicGroup &to, JsonObject &from);
Status from_json(td_api::basicGroupFullInfo &to, JsonObject &from);
Status from_json(td_api::botCommand &to, JsonObject &from);
Status from_json(td_api::botInfo &to, JsonObject &from);
Status from_json(td_api::call &to, JsonObject &from);
Status from_json(td_api::callConnection &to, JsonObject &from);
Status from_json(td_api::callDiscardReasonEmpty &to, JsonObject &from);
Status from_json(td_api::callDiscardReasonMissed &to, JsonObject &from);
Status from_json(td_api::callDiscardReasonDeclined &to, JsonObject &from);
Status from_json(td_api::callDiscardReasonDisconnected &to, JsonObject &from);
Status from_json(td_api::callDiscardReasonHungUp &to, JsonObject &from);
Status from_json(td_api::callId &to, JsonObject &from);
Status from_json(td_api::callProtocol &to, JsonObject &from);
Status from_json(td_api::callStatePending &to, JsonObject &from);
Status from_json(td_api::callStateExchangingKeys &to, JsonObject &from);
Status from_json(td_api::callStateReady &to, JsonObject &from);
Status from_json(td_api::callStateHangingUp &to, JsonObject &from);
Status from_json(td_api::callStateDiscarded &to, JsonObject &from);
Status from_json(td_api::callStateError &to, JsonObject &from);
Status from_json(td_api::callbackQueryAnswer &to, JsonObject &from);
Status from_json(td_api::callbackQueryPayloadData &to, JsonObject &from);
Status from_json(td_api::callbackQueryPayloadGame &to, JsonObject &from);
Status from_json(td_api::chat &to, JsonObject &from);
Status from_json(td_api::chatActionTyping &to, JsonObject &from);
Status from_json(td_api::chatActionRecordingVideo &to, JsonObject &from);
Status from_json(td_api::chatActionUploadingVideo &to, JsonObject &from);
Status from_json(td_api::chatActionRecordingVoiceNote &to, JsonObject &from);
Status from_json(td_api::chatActionUploadingVoiceNote &to, JsonObject &from);
Status from_json(td_api::chatActionUploadingPhoto &to, JsonObject &from);
Status from_json(td_api::chatActionUploadingDocument &to, JsonObject &from);
Status from_json(td_api::chatActionChoosingLocation &to, JsonObject &from);
Status from_json(td_api::chatActionChoosingContact &to, JsonObject &from);
Status from_json(td_api::chatActionStartPlayingGame &to, JsonObject &from);
Status from_json(td_api::chatActionRecordingVideoNote &to, JsonObject &from);
Status from_json(td_api::chatActionUploadingVideoNote &to, JsonObject &from);
Status from_json(td_api::chatActionCancel &to, JsonObject &from);
Status from_json(td_api::chatEvent &to, JsonObject &from);
Status from_json(td_api::chatEventMessageEdited &to, JsonObject &from);
Status from_json(td_api::chatEventMessageDeleted &to, JsonObject &from);
Status from_json(td_api::chatEventMessagePinned &to, JsonObject &from);
Status from_json(td_api::chatEventMessageUnpinned &to, JsonObject &from);
Status from_json(td_api::chatEventMemberJoined &to, JsonObject &from);
Status from_json(td_api::chatEventMemberLeft &to, JsonObject &from);
Status from_json(td_api::chatEventMemberInvited &to, JsonObject &from);
Status from_json(td_api::chatEventMemberPromoted &to, JsonObject &from);
Status from_json(td_api::chatEventMemberRestricted &to, JsonObject &from);
Status from_json(td_api::chatEventTitleChanged &to, JsonObject &from);
Status from_json(td_api::chatEventDescriptionChanged &to, JsonObject &from);
Status from_json(td_api::chatEventUsernameChanged &to, JsonObject &from);
Status from_json(td_api::chatEventPhotoChanged &to, JsonObject &from);
Status from_json(td_api::chatEventInvitesToggled &to, JsonObject &from);
Status from_json(td_api::chatEventSignMessagesToggled &to, JsonObject &from);
Status from_json(td_api::chatEventStickerSetChanged &to, JsonObject &from);
Status from_json(td_api::chatEventIsAllHistoryAvailableToggled &to, JsonObject &from);
Status from_json(td_api::chatEventLogFilters &to, JsonObject &from);
Status from_json(td_api::chatEvents &to, JsonObject &from);
Status from_json(td_api::chatInviteLink &to, JsonObject &from);
Status from_json(td_api::chatInviteLinkInfo &to, JsonObject &from);
Status from_json(td_api::chatMember &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusCreator &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusAdministrator &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusMember &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusRestricted &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusLeft &to, JsonObject &from);
Status from_json(td_api::chatMemberStatusBanned &to, JsonObject &from);
Status from_json(td_api::chatMembers &to, JsonObject &from);
Status from_json(td_api::chatMembersFilterAdministrators &to, JsonObject &from);
Status from_json(td_api::chatMembersFilterMembers &to, JsonObject &from);
Status from_json(td_api::chatMembersFilterRestricted &to, JsonObject &from);
Status from_json(td_api::chatMembersFilterBanned &to, JsonObject &from);
Status from_json(td_api::chatMembersFilterBots &to, JsonObject &from);
Status from_json(td_api::chatNotificationSettings &to, JsonObject &from);
Status from_json(td_api::chatPhoto &to, JsonObject &from);
Status from_json(td_api::chatReportReasonSpam &to, JsonObject &from);
Status from_json(td_api::chatReportReasonViolence &to, JsonObject &from);
Status from_json(td_api::chatReportReasonPornography &to, JsonObject &from);
Status from_json(td_api::chatReportReasonCopyright &to, JsonObject &from);
Status from_json(td_api::chatReportReasonCustom &to, JsonObject &from);
Status from_json(td_api::chatReportSpamState &to, JsonObject &from);
Status from_json(td_api::chatTypePrivate &to, JsonObject &from);
Status from_json(td_api::chatTypeBasicGroup &to, JsonObject &from);
Status from_json(td_api::chatTypeSupergroup &to, JsonObject &from);
Status from_json(td_api::chatTypeSecret &to, JsonObject &from);
Status from_json(td_api::chats &to, JsonObject &from);
Status from_json(td_api::checkChatUsernameResultOk &to, JsonObject &from);
Status from_json(td_api::checkChatUsernameResultUsernameInvalid &to, JsonObject &from);
Status from_json(td_api::checkChatUsernameResultUsernameOccupied &to, JsonObject &from);
Status from_json(td_api::checkChatUsernameResultPublicChatsTooMuch &to, JsonObject &from);
Status from_json(td_api::checkChatUsernameResultPublicGroupsUnavailable &to, JsonObject &from);
Status from_json(td_api::connectedWebsite &to, JsonObject &from);
Status from_json(td_api::connectedWebsites &to, JsonObject &from);
Status from_json(td_api::connectionStateWaitingForNetwork &to, JsonObject &from);
Status from_json(td_api::connectionStateConnectingToProxy &to, JsonObject &from);
Status from_json(td_api::connectionStateConnecting &to, JsonObject &from);
Status from_json(td_api::connectionStateUpdating &to, JsonObject &from);
Status from_json(td_api::connectionStateReady &to, JsonObject &from);
Status from_json(td_api::contact &to, JsonObject &from);
Status from_json(td_api::count &to, JsonObject &from);
Status from_json(td_api::customRequestResult &to, JsonObject &from);
Status from_json(td_api::date &to, JsonObject &from);
Status from_json(td_api::datedFile &to, JsonObject &from);
Status from_json(td_api::deepLinkInfo &to, JsonObject &from);
Status from_json(td_api::deviceTokenGoogleCloudMessaging &to, JsonObject &from);
Status from_json(td_api::deviceTokenApplePush &to, JsonObject &from);
Status from_json(td_api::deviceTokenApplePushVoIP &to, JsonObject &from);
Status from_json(td_api::deviceTokenWindowsPush &to, JsonObject &from);
Status from_json(td_api::deviceTokenMicrosoftPush &to, JsonObject &from);
Status from_json(td_api::deviceTokenMicrosoftPushVoIP &to, JsonObject &from);
Status from_json(td_api::deviceTokenWebPush &to, JsonObject &from);
Status from_json(td_api::deviceTokenSimplePush &to, JsonObject &from);
Status from_json(td_api::deviceTokenUbuntuPush &to, JsonObject &from);
Status from_json(td_api::deviceTokenBlackBerryPush &to, JsonObject &from);
Status from_json(td_api::deviceTokenTizenPush &to, JsonObject &from);
Status from_json(td_api::document &to, JsonObject &from);
Status from_json(td_api::draftMessage &to, JsonObject &from);
Status from_json(td_api::emailAddressAuthenticationCodeInfo &to, JsonObject &from);
Status from_json(td_api::encryptedCredentials &to, JsonObject &from);
Status from_json(td_api::encryptedPassportElement &to, JsonObject &from);
Status from_json(td_api::error &to, JsonObject &from);
Status from_json(td_api::file &to, JsonObject &from);
Status from_json(td_api::fileTypeNone &to, JsonObject &from);
Status from_json(td_api::fileTypeAnimation &to, JsonObject &from);
Status from_json(td_api::fileTypeAudio &to, JsonObject &from);
Status from_json(td_api::fileTypeDocument &to, JsonObject &from);
Status from_json(td_api::fileTypePhoto &to, JsonObject &from);
Status from_json(td_api::fileTypeProfilePhoto &to, JsonObject &from);
Status from_json(td_api::fileTypeSecret &to, JsonObject &from);
Status from_json(td_api::fileTypeSecretThumbnail &to, JsonObject &from);
Status from_json(td_api::fileTypeSecure &to, JsonObject &from);
Status from_json(td_api::fileTypeSticker &to, JsonObject &from);
Status from_json(td_api::fileTypeThumbnail &to, JsonObject &from);
Status from_json(td_api::fileTypeUnknown &to, JsonObject &from);
Status from_json(td_api::fileTypeVideo &to, JsonObject &from);
Status from_json(td_api::fileTypeVideoNote &to, JsonObject &from);
Status from_json(td_api::fileTypeVoiceNote &to, JsonObject &from);
Status from_json(td_api::fileTypeWallpaper &to, JsonObject &from);
Status from_json(td_api::formattedText &to, JsonObject &from);
Status from_json(td_api::foundMessages &to, JsonObject &from);
Status from_json(td_api::game &to, JsonObject &from);
Status from_json(td_api::gameHighScore &to, JsonObject &from);
Status from_json(td_api::gameHighScores &to, JsonObject &from);
Status from_json(td_api::hashtags &to, JsonObject &from);
Status from_json(td_api::identityDocument &to, JsonObject &from);
Status from_json(td_api::importedContacts &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButton &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButtonTypeUrl &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButtonTypeCallback &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButtonTypeCallbackGame &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButtonTypeSwitchInline &to, JsonObject &from);
Status from_json(td_api::inlineKeyboardButtonTypeBuy &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultArticle &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultContact &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultLocation &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultVenue &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultGame &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultAnimation &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultAudio &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultDocument &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultPhoto &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultSticker &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultVideo &to, JsonObject &from);
Status from_json(td_api::inlineQueryResultVoiceNote &to, JsonObject &from);
Status from_json(td_api::inlineQueryResults &to, JsonObject &from);
Status from_json(td_api::inputCredentialsSaved &to, JsonObject &from);
Status from_json(td_api::inputCredentialsNew &to, JsonObject &from);
Status from_json(td_api::inputCredentialsAndroidPay &to, JsonObject &from);
Status from_json(td_api::inputCredentialsApplePay &to, JsonObject &from);
Status from_json(td_api::inputFileId &to, JsonObject &from);
Status from_json(td_api::inputFileRemote &to, JsonObject &from);
Status from_json(td_api::inputFileLocal &to, JsonObject &from);
Status from_json(td_api::inputFileGenerated &to, JsonObject &from);
Status from_json(td_api::inputIdentityDocument &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultAnimatedGif &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultAnimatedMpeg4 &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultArticle &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultAudio &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultContact &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultDocument &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultGame &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultLocation &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultPhoto &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultSticker &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultVenue &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultVideo &to, JsonObject &from);
Status from_json(td_api::inputInlineQueryResultVoiceNote &to, JsonObject &from);
Status from_json(td_api::inputMessageText &to, JsonObject &from);
Status from_json(td_api::inputMessageAnimation &to, JsonObject &from);
Status from_json(td_api::inputMessageAudio &to, JsonObject &from);
Status from_json(td_api::inputMessageDocument &to, JsonObject &from);
Status from_json(td_api::inputMessagePhoto &to, JsonObject &from);
Status from_json(td_api::inputMessageSticker &to, JsonObject &from);
Status from_json(td_api::inputMessageVideo &to, JsonObject &from);
Status from_json(td_api::inputMessageVideoNote &to, JsonObject &from);
Status from_json(td_api::inputMessageVoiceNote &to, JsonObject &from);
Status from_json(td_api::inputMessageLocation &to, JsonObject &from);
Status from_json(td_api::inputMessageVenue &to, JsonObject &from);
Status from_json(td_api::inputMessageContact &to, JsonObject &from);
Status from_json(td_api::inputMessageGame &to, JsonObject &from);
Status from_json(td_api::inputMessageInvoice &to, JsonObject &from);
Status from_json(td_api::inputMessageForwarded &to, JsonObject &from);
Status from_json(td_api::inputPassportElementPersonalDetails &to, JsonObject &from);
Status from_json(td_api::inputPassportElementPassport &to, JsonObject &from);
Status from_json(td_api::inputPassportElementDriverLicense &to, JsonObject &from);
Status from_json(td_api::inputPassportElementIdentityCard &to, JsonObject &from);
Status from_json(td_api::inputPassportElementInternalPassport &to, JsonObject &from);
Status from_json(td_api::inputPassportElementAddress &to, JsonObject &from);
Status from_json(td_api::inputPassportElementUtilityBill &to, JsonObject &from);
Status from_json(td_api::inputPassportElementBankStatement &to, JsonObject &from);
Status from_json(td_api::inputPassportElementRentalAgreement &to, JsonObject &from);
Status from_json(td_api::inputPassportElementPassportRegistration &to, JsonObject &from);
Status from_json(td_api::inputPassportElementTemporaryRegistration &to, JsonObject &from);
Status from_json(td_api::inputPassportElementPhoneNumber &to, JsonObject &from);
Status from_json(td_api::inputPassportElementEmailAddress &to, JsonObject &from);
Status from_json(td_api::inputPassportElementError &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceUnspecified &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceDataField &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceFrontSide &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceReverseSide &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceSelfie &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceTranslationFile &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceTranslationFiles &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceFile &to, JsonObject &from);
Status from_json(td_api::inputPassportElementErrorSourceFiles &to, JsonObject &from);
Status from_json(td_api::inputPersonalDocument &to, JsonObject &from);
Status from_json(td_api::inputSticker &to, JsonObject &from);
Status from_json(td_api::inputThumbnail &to, JsonObject &from);
Status from_json(td_api::invoice &to, JsonObject &from);
Status from_json(td_api::keyboardButton &to, JsonObject &from);
Status from_json(td_api::keyboardButtonTypeText &to, JsonObject &from);
Status from_json(td_api::keyboardButtonTypeRequestPhoneNumber &to, JsonObject &from);
Status from_json(td_api::keyboardButtonTypeRequestLocation &to, JsonObject &from);
Status from_json(td_api::labeledPricePart &to, JsonObject &from);
Status from_json(td_api::languagePackInfo &to, JsonObject &from);
Status from_json(td_api::languagePackString &to, JsonObject &from);
Status from_json(td_api::languagePackStringValueOrdinary &to, JsonObject &from);
Status from_json(td_api::languagePackStringValuePluralized &to, JsonObject &from);
Status from_json(td_api::languagePackStringValueDeleted &to, JsonObject &from);
Status from_json(td_api::languagePackStrings &to, JsonObject &from);
Status from_json(td_api::linkStateNone &to, JsonObject &from);
Status from_json(td_api::linkStateKnowsPhoneNumber &to, JsonObject &from);
Status from_json(td_api::linkStateIsContact &to, JsonObject &from);
Status from_json(td_api::localFile &to, JsonObject &from);
Status from_json(td_api::localizationTargetInfo &to, JsonObject &from);
Status from_json(td_api::location &to, JsonObject &from);
Status from_json(td_api::maskPointForehead &to, JsonObject &from);
Status from_json(td_api::maskPointEyes &to, JsonObject &from);
Status from_json(td_api::maskPointMouth &to, JsonObject &from);
Status from_json(td_api::maskPointChin &to, JsonObject &from);
Status from_json(td_api::maskPosition &to, JsonObject &from);
Status from_json(td_api::message &to, JsonObject &from);
Status from_json(td_api::messageText &to, JsonObject &from);
Status from_json(td_api::messageAnimation &to, JsonObject &from);
Status from_json(td_api::messageAudio &to, JsonObject &from);
Status from_json(td_api::messageDocument &to, JsonObject &from);
Status from_json(td_api::messagePhoto &to, JsonObject &from);
Status from_json(td_api::messageExpiredPhoto &to, JsonObject &from);
Status from_json(td_api::messageSticker &to, JsonObject &from);
Status from_json(td_api::messageVideo &to, JsonObject &from);
Status from_json(td_api::messageExpiredVideo &to, JsonObject &from);
Status from_json(td_api::messageVideoNote &to, JsonObject &from);
Status from_json(td_api::messageVoiceNote &to, JsonObject &from);
Status from_json(td_api::messageLocation &to, JsonObject &from);
Status from_json(td_api::messageVenue &to, JsonObject &from);
Status from_json(td_api::messageContact &to, JsonObject &from);
Status from_json(td_api::messageGame &to, JsonObject &from);
Status from_json(td_api::messageInvoice &to, JsonObject &from);
Status from_json(td_api::messageCall &to, JsonObject &from);
Status from_json(td_api::messageBasicGroupChatCreate &to, JsonObject &from);
Status from_json(td_api::messageSupergroupChatCreate &to, JsonObject &from);
Status from_json(td_api::messageChatChangeTitle &to, JsonObject &from);
Status from_json(td_api::messageChatChangePhoto &to, JsonObject &from);
Status from_json(td_api::messageChatDeletePhoto &to, JsonObject &from);
Status from_json(td_api::messageChatAddMembers &to, JsonObject &from);
Status from_json(td_api::messageChatJoinByLink &to, JsonObject &from);
Status from_json(td_api::messageChatDeleteMember &to, JsonObject &from);
Status from_json(td_api::messageChatUpgradeTo &to, JsonObject &from);
Status from_json(td_api::messageChatUpgradeFrom &to, JsonObject &from);
Status from_json(td_api::messagePinMessage &to, JsonObject &from);
Status from_json(td_api::messageScreenshotTaken &to, JsonObject &from);
Status from_json(td_api::messageChatSetTtl &to, JsonObject &from);
Status from_json(td_api::messageCustomServiceAction &to, JsonObject &from);
Status from_json(td_api::messageGameScore &to, JsonObject &from);
Status from_json(td_api::messagePaymentSuccessful &to, JsonObject &from);
Status from_json(td_api::messagePaymentSuccessfulBot &to, JsonObject &from);
Status from_json(td_api::messageContactRegistered &to, JsonObject &from);
Status from_json(td_api::messageWebsiteConnected &to, JsonObject &from);
Status from_json(td_api::messagePassportDataSent &to, JsonObject &from);
Status from_json(td_api::messagePassportDataReceived &to, JsonObject &from);
Status from_json(td_api::messageUnsupported &to, JsonObject &from);
Status from_json(td_api::messageForwardedFromUser &to, JsonObject &from);
Status from_json(td_api::messageForwardedPost &to, JsonObject &from);
Status from_json(td_api::messageSendingStatePending &to, JsonObject &from);
Status from_json(td_api::messageSendingStateFailed &to, JsonObject &from);
Status from_json(td_api::messages &to, JsonObject &from);
Status from_json(td_api::networkStatistics &to, JsonObject &from);
Status from_json(td_api::networkStatisticsEntryFile &to, JsonObject &from);
Status from_json(td_api::networkStatisticsEntryCall &to, JsonObject &from);
Status from_json(td_api::networkTypeNone &to, JsonObject &from);
Status from_json(td_api::networkTypeMobile &to, JsonObject &from);
Status from_json(td_api::networkTypeMobileRoaming &to, JsonObject &from);
Status from_json(td_api::networkTypeWiFi &to, JsonObject &from);
Status from_json(td_api::networkTypeOther &to, JsonObject &from);
Status from_json(td_api::notificationSettingsScopePrivateChats &to, JsonObject &from);
Status from_json(td_api::notificationSettingsScopeGroupChats &to, JsonObject &from);
Status from_json(td_api::ok &to, JsonObject &from);
Status from_json(td_api::optionValueBoolean &to, JsonObject &from);
Status from_json(td_api::optionValueEmpty &to, JsonObject &from);
Status from_json(td_api::optionValueInteger &to, JsonObject &from);
Status from_json(td_api::optionValueString &to, JsonObject &from);
Status from_json(td_api::orderInfo &to, JsonObject &from);
Status from_json(td_api::pageBlockTitle &to, JsonObject &from);
Status from_json(td_api::pageBlockSubtitle &to, JsonObject &from);
Status from_json(td_api::pageBlockAuthorDate &to, JsonObject &from);
Status from_json(td_api::pageBlockHeader &to, JsonObject &from);
Status from_json(td_api::pageBlockSubheader &to, JsonObject &from);
Status from_json(td_api::pageBlockParagraph &to, JsonObject &from);
Status from_json(td_api::pageBlockPreformatted &to, JsonObject &from);
Status from_json(td_api::pageBlockFooter &to, JsonObject &from);
Status from_json(td_api::pageBlockDivider &to, JsonObject &from);
Status from_json(td_api::pageBlockAnchor &to, JsonObject &from);
Status from_json(td_api::pageBlockList &to, JsonObject &from);
Status from_json(td_api::pageBlockBlockQuote &to, JsonObject &from);
Status from_json(td_api::pageBlockPullQuote &to, JsonObject &from);
Status from_json(td_api::pageBlockAnimation &to, JsonObject &from);
Status from_json(td_api::pageBlockAudio &to, JsonObject &from);
Status from_json(td_api::pageBlockPhoto &to, JsonObject &from);
Status from_json(td_api::pageBlockVideo &to, JsonObject &from);
Status from_json(td_api::pageBlockCover &to, JsonObject &from);
Status from_json(td_api::pageBlockEmbedded &to, JsonObject &from);
Status from_json(td_api::pageBlockEmbeddedPost &to, JsonObject &from);
Status from_json(td_api::pageBlockCollage &to, JsonObject &from);
Status from_json(td_api::pageBlockSlideshow &to, JsonObject &from);
Status from_json(td_api::pageBlockChatLink &to, JsonObject &from);
Status from_json(td_api::passportAuthorizationForm &to, JsonObject &from);
Status from_json(td_api::passportElementPersonalDetails &to, JsonObject &from);
Status from_json(td_api::passportElementPassport &to, JsonObject &from);
Status from_json(td_api::passportElementDriverLicense &to, JsonObject &from);
Status from_json(td_api::passportElementIdentityCard &to, JsonObject &from);
Status from_json(td_api::passportElementInternalPassport &to, JsonObject &from);
Status from_json(td_api::passportElementAddress &to, JsonObject &from);
Status from_json(td_api::passportElementUtilityBill &to, JsonObject &from);
Status from_json(td_api::passportElementBankStatement &to, JsonObject &from);
Status from_json(td_api::passportElementRentalAgreement &to, JsonObject &from);
Status from_json(td_api::passportElementPassportRegistration &to, JsonObject &from);
Status from_json(td_api::passportElementTemporaryRegistration &to, JsonObject &from);
Status from_json(td_api::passportElementPhoneNumber &to, JsonObject &from);
Status from_json(td_api::passportElementEmailAddress &to, JsonObject &from);
Status from_json(td_api::passportElementError &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceUnspecified &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceDataField &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceFrontSide &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceReverseSide &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceSelfie &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceTranslationFile &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceTranslationFiles &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceFile &to, JsonObject &from);
Status from_json(td_api::passportElementErrorSourceFiles &to, JsonObject &from);
Status from_json(td_api::passportElementTypePersonalDetails &to, JsonObject &from);
Status from_json(td_api::passportElementTypePassport &to, JsonObject &from);
Status from_json(td_api::passportElementTypeDriverLicense &to, JsonObject &from);
Status from_json(td_api::passportElementTypeIdentityCard &to, JsonObject &from);
Status from_json(td_api::passportElementTypeInternalPassport &to, JsonObject &from);
Status from_json(td_api::passportElementTypeAddress &to, JsonObject &from);
Status from_json(td_api::passportElementTypeUtilityBill &to, JsonObject &from);
Status from_json(td_api::passportElementTypeBankStatement &to, JsonObject &from);
Status from_json(td_api::passportElementTypeRentalAgreement &to, JsonObject &from);
Status from_json(td_api::passportElementTypePassportRegistration &to, JsonObject &from);
Status from_json(td_api::passportElementTypeTemporaryRegistration &to, JsonObject &from);
Status from_json(td_api::passportElementTypePhoneNumber &to, JsonObject &from);
Status from_json(td_api::passportElementTypeEmailAddress &to, JsonObject &from);
Status from_json(td_api::passportElements &to, JsonObject &from);
Status from_json(td_api::passportRequiredElement &to, JsonObject &from);
Status from_json(td_api::passportSuitableElement &to, JsonObject &from);
Status from_json(td_api::passwordState &to, JsonObject &from);
Status from_json(td_api::paymentForm &to, JsonObject &from);
Status from_json(td_api::paymentReceipt &to, JsonObject &from);
Status from_json(td_api::paymentResult &to, JsonObject &from);
Status from_json(td_api::paymentsProviderStripe &to, JsonObject &from);
Status from_json(td_api::personalDetails &to, JsonObject &from);
Status from_json(td_api::personalDocument &to, JsonObject &from);
Status from_json(td_api::photo &to, JsonObject &from);
Status from_json(td_api::photoSize &to, JsonObject &from);
Status from_json(td_api::profilePhoto &to, JsonObject &from);
Status from_json(td_api::proxies &to, JsonObject &from);
Status from_json(td_api::proxy &to, JsonObject &from);
Status from_json(td_api::proxyTypeSocks5 &to, JsonObject &from);
Status from_json(td_api::proxyTypeHttp &to, JsonObject &from);
Status from_json(td_api::proxyTypeMtproto &to, JsonObject &from);
Status from_json(td_api::publicMessageLink &to, JsonObject &from);
Status from_json(td_api::recoveryEmailAddress &to, JsonObject &from);
Status from_json(td_api::remoteFile &to, JsonObject &from);
Status from_json(td_api::replyMarkupRemoveKeyboard &to, JsonObject &from);
Status from_json(td_api::replyMarkupForceReply &to, JsonObject &from);
Status from_json(td_api::replyMarkupShowKeyboard &to, JsonObject &from);
Status from_json(td_api::replyMarkupInlineKeyboard &to, JsonObject &from);
Status from_json(td_api::richTextPlain &to, JsonObject &from);
Status from_json(td_api::richTextBold &to, JsonObject &from);
Status from_json(td_api::richTextItalic &to, JsonObject &from);
Status from_json(td_api::richTextUnderline &to, JsonObject &from);
Status from_json(td_api::richTextStrikethrough &to, JsonObject &from);
Status from_json(td_api::richTextFixed &to, JsonObject &from);
Status from_json(td_api::richTextUrl &to, JsonObject &from);
Status from_json(td_api::richTextEmailAddress &to, JsonObject &from);
Status from_json(td_api::richTexts &to, JsonObject &from);
Status from_json(td_api::savedCredentials &to, JsonObject &from);
Status from_json(td_api::scopeNotificationSettings &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterEmpty &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterAnimation &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterAudio &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterDocument &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterPhoto &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterVideo &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterVoiceNote &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterPhotoAndVideo &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterUrl &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterChatPhoto &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterCall &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterMissedCall &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterVideoNote &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterVoiceAndVideoNote &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterMention &to, JsonObject &from);
Status from_json(td_api::searchMessagesFilterUnreadMention &to, JsonObject &from);
Status from_json(td_api::seconds &to, JsonObject &from);
Status from_json(td_api::secretChat &to, JsonObject &from);
Status from_json(td_api::secretChatStatePending &to, JsonObject &from);
Status from_json(td_api::secretChatStateReady &to, JsonObject &from);
Status from_json(td_api::secretChatStateClosed &to, JsonObject &from);
Status from_json(td_api::session &to, JsonObject &from);
Status from_json(td_api::sessions &to, JsonObject &from);
Status from_json(td_api::shippingOption &to, JsonObject &from);
Status from_json(td_api::sticker &to, JsonObject &from);
Status from_json(td_api::stickerEmojis &to, JsonObject &from);
Status from_json(td_api::stickerSet &to, JsonObject &from);
Status from_json(td_api::stickerSetInfo &to, JsonObject &from);
Status from_json(td_api::stickerSets &to, JsonObject &from);
Status from_json(td_api::stickers &to, JsonObject &from);
Status from_json(td_api::storageStatistics &to, JsonObject &from);
Status from_json(td_api::storageStatisticsByChat &to, JsonObject &from);
Status from_json(td_api::storageStatisticsByFileType &to, JsonObject &from);
Status from_json(td_api::storageStatisticsFast &to, JsonObject &from);
Status from_json(td_api::supergroup &to, JsonObject &from);
Status from_json(td_api::supergroupFullInfo &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterRecent &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterAdministrators &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterSearch &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterRestricted &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterBanned &to, JsonObject &from);
Status from_json(td_api::supergroupMembersFilterBots &to, JsonObject &from);
Status from_json(td_api::tMeUrl &to, JsonObject &from);
Status from_json(td_api::tMeUrlTypeUser &to, JsonObject &from);
Status from_json(td_api::tMeUrlTypeSupergroup &to, JsonObject &from);
Status from_json(td_api::tMeUrlTypeChatInvite &to, JsonObject &from);
Status from_json(td_api::tMeUrlTypeStickerSet &to, JsonObject &from);
Status from_json(td_api::tMeUrls &to, JsonObject &from);
Status from_json(td_api::tdlibParameters &to, JsonObject &from);
Status from_json(td_api::temporaryPasswordState &to, JsonObject &from);
Status from_json(td_api::termsOfService &to, JsonObject &from);
Status from_json(td_api::testBytes &to, JsonObject &from);
Status from_json(td_api::testInt &to, JsonObject &from);
Status from_json(td_api::testString &to, JsonObject &from);
Status from_json(td_api::testVectorInt &to, JsonObject &from);
Status from_json(td_api::testVectorIntObject &to, JsonObject &from);
Status from_json(td_api::testVectorString &to, JsonObject &from);
Status from_json(td_api::testVectorStringObject &to, JsonObject &from);
Status from_json(td_api::text &to, JsonObject &from);
Status from_json(td_api::textEntities &to, JsonObject &from);
Status from_json(td_api::textEntity &to, JsonObject &from);
Status from_json(td_api::textEntityTypeMention &to, JsonObject &from);
Status from_json(td_api::textEntityTypeHashtag &to, JsonObject &from);
Status from_json(td_api::textEntityTypeCashtag &to, JsonObject &from);
Status from_json(td_api::textEntityTypeBotCommand &to, JsonObject &from);
Status from_json(td_api::textEntityTypeUrl &to, JsonObject &from);
Status from_json(td_api::textEntityTypeEmailAddress &to, JsonObject &from);
Status from_json(td_api::textEntityTypeBold &to, JsonObject &from);
Status from_json(td_api::textEntityTypeItalic &to, JsonObject &from);
Status from_json(td_api::textEntityTypeCode &to, JsonObject &from);
Status from_json(td_api::textEntityTypePre &to, JsonObject &from);
Status from_json(td_api::textEntityTypePreCode &to, JsonObject &from);
Status from_json(td_api::textEntityTypeTextUrl &to, JsonObject &from);
Status from_json(td_api::textEntityTypeMentionName &to, JsonObject &from);
Status from_json(td_api::textEntityTypePhoneNumber &to, JsonObject &from);
Status from_json(td_api::textParseModeMarkdown &to, JsonObject &from);
Status from_json(td_api::textParseModeHTML &to, JsonObject &from);
Status from_json(td_api::topChatCategoryUsers &to, JsonObject &from);
Status from_json(td_api::topChatCategoryBots &to, JsonObject &from);
Status from_json(td_api::topChatCategoryGroups &to, JsonObject &from);
Status from_json(td_api::topChatCategoryChannels &to, JsonObject &from);
Status from_json(td_api::topChatCategoryInlineBots &to, JsonObject &from);
Status from_json(td_api::topChatCategoryCalls &to, JsonObject &from);
Status from_json(td_api::updateAuthorizationState &to, JsonObject &from);
Status from_json(td_api::updateNewMessage &to, JsonObject &from);
Status from_json(td_api::updateMessageSendAcknowledged &to, JsonObject &from);
Status from_json(td_api::updateMessageSendSucceeded &to, JsonObject &from);
Status from_json(td_api::updateMessageSendFailed &to, JsonObject &from);
Status from_json(td_api::updateMessageContent &to, JsonObject &from);
Status from_json(td_api::updateMessageEdited &to, JsonObject &from);
Status from_json(td_api::updateMessageViews &to, JsonObject &from);
Status from_json(td_api::updateMessageContentOpened &to, JsonObject &from);
Status from_json(td_api::updateMessageMentionRead &to, JsonObject &from);
Status from_json(td_api::updateNewChat &to, JsonObject &from);
Status from_json(td_api::updateChatTitle &to, JsonObject &from);
Status from_json(td_api::updateChatPhoto &to, JsonObject &from);
Status from_json(td_api::updateChatLastMessage &to, JsonObject &from);
Status from_json(td_api::updateChatOrder &to, JsonObject &from);
Status from_json(td_api::updateChatIsPinned &to, JsonObject &from);
Status from_json(td_api::updateChatIsMarkedAsUnread &to, JsonObject &from);
Status from_json(td_api::updateChatIsSponsored &to, JsonObject &from);
Status from_json(td_api::updateChatDefaultDisableNotification &to, JsonObject &from);
Status from_json(td_api::updateChatReadInbox &to, JsonObject &from);
Status from_json(td_api::updateChatReadOutbox &to, JsonObject &from);
Status from_json(td_api::updateChatUnreadMentionCount &to, JsonObject &from);
Status from_json(td_api::updateChatNotificationSettings &to, JsonObject &from);
Status from_json(td_api::updateScopeNotificationSettings &to, JsonObject &from);
Status from_json(td_api::updateChatReplyMarkup &to, JsonObject &from);
Status from_json(td_api::updateChatDraftMessage &to, JsonObject &from);
Status from_json(td_api::updateDeleteMessages &to, JsonObject &from);
Status from_json(td_api::updateUserChatAction &to, JsonObject &from);
Status from_json(td_api::updateUserStatus &to, JsonObject &from);
Status from_json(td_api::updateUser &to, JsonObject &from);
Status from_json(td_api::updateBasicGroup &to, JsonObject &from);
Status from_json(td_api::updateSupergroup &to, JsonObject &from);
Status from_json(td_api::updateSecretChat &to, JsonObject &from);
Status from_json(td_api::updateUserFullInfo &to, JsonObject &from);
Status from_json(td_api::updateBasicGroupFullInfo &to, JsonObject &from);
Status from_json(td_api::updateSupergroupFullInfo &to, JsonObject &from);
Status from_json(td_api::updateServiceNotification &to, JsonObject &from);
Status from_json(td_api::updateFile &to, JsonObject &from);
Status from_json(td_api::updateFileGenerationStart &to, JsonObject &from);
Status from_json(td_api::updateFileGenerationStop &to, JsonObject &from);
Status from_json(td_api::updateCall &to, JsonObject &from);
Status from_json(td_api::updateUserPrivacySettingRules &to, JsonObject &from);
Status from_json(td_api::updateUnreadMessageCount &to, JsonObject &from);
Status from_json(td_api::updateUnreadChatCount &to, JsonObject &from);
Status from_json(td_api::updateOption &to, JsonObject &from);
Status from_json(td_api::updateInstalledStickerSets &to, JsonObject &from);
Status from_json(td_api::updateTrendingStickerSets &to, JsonObject &from);
Status from_json(td_api::updateRecentStickers &to, JsonObject &from);
Status from_json(td_api::updateFavoriteStickers &to, JsonObject &from);
Status from_json(td_api::updateSavedAnimations &to, JsonObject &from);
Status from_json(td_api::updateLanguagePackStrings &to, JsonObject &from);
Status from_json(td_api::updateConnectionState &to, JsonObject &from);
Status from_json(td_api::updateTermsOfService &to, JsonObject &from);
Status from_json(td_api::updateNewInlineQuery &to, JsonObject &from);
Status from_json(td_api::updateNewChosenInlineResult &to, JsonObject &from);
Status from_json(td_api::updateNewCallbackQuery &to, JsonObject &from);
Status from_json(td_api::updateNewInlineCallbackQuery &to, JsonObject &from);
Status from_json(td_api::updateNewShippingQuery &to, JsonObject &from);
Status from_json(td_api::updateNewPreCheckoutQuery &to, JsonObject &from);
Status from_json(td_api::updateNewCustomEvent &to, JsonObject &from);
Status from_json(td_api::updateNewCustomQuery &to, JsonObject &from);
Status from_json(td_api::user &to, JsonObject &from);
Status from_json(td_api::userFullInfo &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingShowStatus &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingAllowChatInvites &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingAllowCalls &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleAllowAll &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleAllowContacts &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleAllowUsers &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleRestrictAll &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleRestrictContacts &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRuleRestrictUsers &to, JsonObject &from);
Status from_json(td_api::userPrivacySettingRules &to, JsonObject &from);
Status from_json(td_api::userProfilePhotos &to, JsonObject &from);
Status from_json(td_api::userStatusEmpty &to, JsonObject &from);
Status from_json(td_api::userStatusOnline &to, JsonObject &from);
Status from_json(td_api::userStatusOffline &to, JsonObject &from);
Status from_json(td_api::userStatusRecently &to, JsonObject &from);
Status from_json(td_api::userStatusLastWeek &to, JsonObject &from);
Status from_json(td_api::userStatusLastMonth &to, JsonObject &from);
Status from_json(td_api::userTypeRegular &to, JsonObject &from);
Status from_json(td_api::userTypeDeleted &to, JsonObject &from);
Status from_json(td_api::userTypeBot &to, JsonObject &from);
Status from_json(td_api::userTypeUnknown &to, JsonObject &from);
Status from_json(td_api::users &to, JsonObject &from);
Status from_json(td_api::validatedOrderInfo &to, JsonObject &from);
Status from_json(td_api::venue &to, JsonObject &from);
Status from_json(td_api::video &to, JsonObject &from);
Status from_json(td_api::videoNote &to, JsonObject &from);
Status from_json(td_api::voiceNote &to, JsonObject &from);
Status from_json(td_api::wallpaper &to, JsonObject &from);
Status from_json(td_api::wallpapers &to, JsonObject &from);
Status from_json(td_api::webPage &to, JsonObject &from);
Status from_json(td_api::webPageInstantView &to, JsonObject &from);
Status from_json(td_api::acceptCall &to, JsonObject &from);
Status from_json(td_api::acceptTermsOfService &to, JsonObject &from);
Status from_json(td_api::addChatMember &to, JsonObject &from);
Status from_json(td_api::addChatMembers &to, JsonObject &from);
Status from_json(td_api::addFavoriteSticker &to, JsonObject &from);
Status from_json(td_api::addLocalMessage &to, JsonObject &from);
Status from_json(td_api::addNetworkStatistics &to, JsonObject &from);
Status from_json(td_api::addProxy &to, JsonObject &from);
Status from_json(td_api::addRecentSticker &to, JsonObject &from);
Status from_json(td_api::addRecentlyFoundChat &to, JsonObject &from);
Status from_json(td_api::addSavedAnimation &to, JsonObject &from);
Status from_json(td_api::addStickerToSet &to, JsonObject &from);
Status from_json(td_api::answerCallbackQuery &to, JsonObject &from);
Status from_json(td_api::answerCustomQuery &to, JsonObject &from);
Status from_json(td_api::answerInlineQuery &to, JsonObject &from);
Status from_json(td_api::answerPreCheckoutQuery &to, JsonObject &from);
Status from_json(td_api::answerShippingQuery &to, JsonObject &from);
Status from_json(td_api::blockUser &to, JsonObject &from);
Status from_json(td_api::cancelDownloadFile &to, JsonObject &from);
Status from_json(td_api::cancelUploadFile &to, JsonObject &from);
Status from_json(td_api::changeChatReportSpamState &to, JsonObject &from);
Status from_json(td_api::changeImportedContacts &to, JsonObject &from);
Status from_json(td_api::changePhoneNumber &to, JsonObject &from);
Status from_json(td_api::changeStickerSet &to, JsonObject &from);
Status from_json(td_api::checkAuthenticationBotToken &to, JsonObject &from);
Status from_json(td_api::checkAuthenticationCode &to, JsonObject &from);
Status from_json(td_api::checkAuthenticationPassword &to, JsonObject &from);
Status from_json(td_api::checkChangePhoneNumberCode &to, JsonObject &from);
Status from_json(td_api::checkChatInviteLink &to, JsonObject &from);
Status from_json(td_api::checkChatUsername &to, JsonObject &from);
Status from_json(td_api::checkDatabaseEncryptionKey &to, JsonObject &from);
Status from_json(td_api::checkEmailAddressVerificationCode &to, JsonObject &from);
Status from_json(td_api::checkPhoneNumberConfirmationCode &to, JsonObject &from);
Status from_json(td_api::checkPhoneNumberVerificationCode &to, JsonObject &from);
Status from_json(td_api::cleanFileName &to, JsonObject &from);
Status from_json(td_api::clearAllDraftMessages &to, JsonObject &from);
Status from_json(td_api::clearImportedContacts &to, JsonObject &from);
Status from_json(td_api::clearRecentStickers &to, JsonObject &from);
Status from_json(td_api::clearRecentlyFoundChats &to, JsonObject &from);
Status from_json(td_api::close &to, JsonObject &from);
Status from_json(td_api::closeChat &to, JsonObject &from);
Status from_json(td_api::closeSecretChat &to, JsonObject &from);
Status from_json(td_api::createBasicGroupChat &to, JsonObject &from);
Status from_json(td_api::createCall &to, JsonObject &from);
Status from_json(td_api::createNewBasicGroupChat &to, JsonObject &from);
Status from_json(td_api::createNewSecretChat &to, JsonObject &from);
Status from_json(td_api::createNewStickerSet &to, JsonObject &from);
Status from_json(td_api::createNewSupergroupChat &to, JsonObject &from);
Status from_json(td_api::createPrivateChat &to, JsonObject &from);
Status from_json(td_api::createSecretChat &to, JsonObject &from);
Status from_json(td_api::createSupergroupChat &to, JsonObject &from);
Status from_json(td_api::createTemporaryPassword &to, JsonObject &from);
Status from_json(td_api::deleteAccount &to, JsonObject &from);
Status from_json(td_api::deleteChatHistory &to, JsonObject &from);
Status from_json(td_api::deleteChatMessagesFromUser &to, JsonObject &from);
Status from_json(td_api::deleteChatReplyMarkup &to, JsonObject &from);
Status from_json(td_api::deleteFile &to, JsonObject &from);
Status from_json(td_api::deleteLanguagePack &to, JsonObject &from);
Status from_json(td_api::deleteMessages &to, JsonObject &from);
Status from_json(td_api::deletePassportElement &to, JsonObject &from);
Status from_json(td_api::deleteProfilePhoto &to, JsonObject &from);
Status from_json(td_api::deleteSavedCredentials &to, JsonObject &from);
Status from_json(td_api::deleteSavedOrderInfo &to, JsonObject &from);
Status from_json(td_api::deleteSupergroup &to, JsonObject &from);
Status from_json(td_api::destroy &to, JsonObject &from);
Status from_json(td_api::disableProxy &to, JsonObject &from);
Status from_json(td_api::discardCall &to, JsonObject &from);
Status from_json(td_api::disconnectAllWebsites &to, JsonObject &from);
Status from_json(td_api::disconnectWebsite &to, JsonObject &from);
Status from_json(td_api::downloadFile &to, JsonObject &from);
Status from_json(td_api::editCustomLanguagePackInfo &to, JsonObject &from);
Status from_json(td_api::editInlineMessageCaption &to, JsonObject &from);
Status from_json(td_api::editInlineMessageLiveLocation &to, JsonObject &from);
Status from_json(td_api::editInlineMessageMedia &to, JsonObject &from);
Status from_json(td_api::editInlineMessageReplyMarkup &to, JsonObject &from);
Status from_json(td_api::editInlineMessageText &to, JsonObject &from);
Status from_json(td_api::editMessageCaption &to, JsonObject &from);
Status from_json(td_api::editMessageLiveLocation &to, JsonObject &from);
Status from_json(td_api::editMessageMedia &to, JsonObject &from);
Status from_json(td_api::editMessageReplyMarkup &to, JsonObject &from);
Status from_json(td_api::editMessageText &to, JsonObject &from);
Status from_json(td_api::editProxy &to, JsonObject &from);
Status from_json(td_api::enableProxy &to, JsonObject &from);
Status from_json(td_api::finishFileGeneration &to, JsonObject &from);
Status from_json(td_api::forwardMessages &to, JsonObject &from);
Status from_json(td_api::generateChatInviteLink &to, JsonObject &from);
Status from_json(td_api::getAccountTtl &to, JsonObject &from);
Status from_json(td_api::getActiveLiveLocationMessages &to, JsonObject &from);
Status from_json(td_api::getActiveSessions &to, JsonObject &from);
Status from_json(td_api::getAllPassportElements &to, JsonObject &from);
Status from_json(td_api::getArchivedStickerSets &to, JsonObject &from);
Status from_json(td_api::getAttachedStickerSets &to, JsonObject &from);
Status from_json(td_api::getAuthorizationState &to, JsonObject &from);
Status from_json(td_api::getBasicGroup &to, JsonObject &from);
Status from_json(td_api::getBasicGroupFullInfo &to, JsonObject &from);
Status from_json(td_api::getBlockedUsers &to, JsonObject &from);
Status from_json(td_api::getCallbackQueryAnswer &to, JsonObject &from);
Status from_json(td_api::getChat &to, JsonObject &from);
Status from_json(td_api::getChatAdministrators &to, JsonObject &from);
Status from_json(td_api::getChatEventLog &to, JsonObject &from);
Status from_json(td_api::getChatHistory &to, JsonObject &from);
Status from_json(td_api::getChatMember &to, JsonObject &from);
Status from_json(td_api::getChatMessageByDate &to, JsonObject &from);
Status from_json(td_api::getChatMessageCount &to, JsonObject &from);
Status from_json(td_api::getChatPinnedMessage &to, JsonObject &from);
Status from_json(td_api::getChatReportSpamState &to, JsonObject &from);
Status from_json(td_api::getChats &to, JsonObject &from);
Status from_json(td_api::getConnectedWebsites &to, JsonObject &from);
Status from_json(td_api::getContacts &to, JsonObject &from);
Status from_json(td_api::getCountryCode &to, JsonObject &from);
Status from_json(td_api::getCreatedPublicChats &to, JsonObject &from);
Status from_json(td_api::getDeepLinkInfo &to, JsonObject &from);
Status from_json(td_api::getFavoriteStickers &to, JsonObject &from);
Status from_json(td_api::getFile &to, JsonObject &from);
Status from_json(td_api::getFileExtension &to, JsonObject &from);
Status from_json(td_api::getFileMimeType &to, JsonObject &from);
Status from_json(td_api::getGameHighScores &to, JsonObject &from);
Status from_json(td_api::getGroupsInCommon &to, JsonObject &from);
Status from_json(td_api::getImportedContactCount &to, JsonObject &from);
Status from_json(td_api::getInlineGameHighScores &to, JsonObject &from);
Status from_json(td_api::getInlineQueryResults &to, JsonObject &from);
Status from_json(td_api::getInstalledStickerSets &to, JsonObject &from);
Status from_json(td_api::getInviteText &to, JsonObject &from);
Status from_json(td_api::getLanguagePackString &to, JsonObject &from);
Status from_json(td_api::getLanguagePackStrings &to, JsonObject &from);
Status from_json(td_api::getLocalizationTargetInfo &to, JsonObject &from);
Status from_json(td_api::getMapThumbnailFile &to, JsonObject &from);
Status from_json(td_api::getMe &to, JsonObject &from);
Status from_json(td_api::getMessage &to, JsonObject &from);
Status from_json(td_api::getMessages &to, JsonObject &from);
Status from_json(td_api::getNetworkStatistics &to, JsonObject &from);
Status from_json(td_api::getOption &to, JsonObject &from);
Status from_json(td_api::getPassportAuthorizationForm &to, JsonObject &from);
Status from_json(td_api::getPassportElement &to, JsonObject &from);
Status from_json(td_api::getPasswordState &to, JsonObject &from);
Status from_json(td_api::getPaymentForm &to, JsonObject &from);
Status from_json(td_api::getPaymentReceipt &to, JsonObject &from);
Status from_json(td_api::getPreferredCountryLanguage &to, JsonObject &from);
Status from_json(td_api::getProxies &to, JsonObject &from);
Status from_json(td_api::getProxyLink &to, JsonObject &from);
Status from_json(td_api::getPublicMessageLink &to, JsonObject &from);
Status from_json(td_api::getRecentInlineBots &to, JsonObject &from);
Status from_json(td_api::getRecentStickers &to, JsonObject &from);
Status from_json(td_api::getRecentlyVisitedTMeUrls &to, JsonObject &from);
Status from_json(td_api::getRecoveryEmailAddress &to, JsonObject &from);
Status from_json(td_api::getRemoteFile &to, JsonObject &from);
Status from_json(td_api::getRepliedMessage &to, JsonObject &from);
Status from_json(td_api::getSavedAnimations &to, JsonObject &from);
Status from_json(td_api::getSavedOrderInfo &to, JsonObject &from);
Status from_json(td_api::getScopeNotificationSettings &to, JsonObject &from);
Status from_json(td_api::getSecretChat &to, JsonObject &from);
Status from_json(td_api::getStickerEmojis &to, JsonObject &from);
Status from_json(td_api::getStickerSet &to, JsonObject &from);
Status from_json(td_api::getStickers &to, JsonObject &from);
Status from_json(td_api::getStorageStatistics &to, JsonObject &from);
Status from_json(td_api::getStorageStatisticsFast &to, JsonObject &from);
Status from_json(td_api::getSupergroup &to, JsonObject &from);
Status from_json(td_api::getSupergroupFullInfo &to, JsonObject &from);
Status from_json(td_api::getSupergroupMembers &to, JsonObject &from);
Status from_json(td_api::getSupportUser &to, JsonObject &from);
Status from_json(td_api::getTemporaryPasswordState &to, JsonObject &from);
Status from_json(td_api::getTextEntities &to, JsonObject &from);
Status from_json(td_api::getTopChats &to, JsonObject &from);
Status from_json(td_api::getTrendingStickerSets &to, JsonObject &from);
Status from_json(td_api::getUser &to, JsonObject &from);
Status from_json(td_api::getUserFullInfo &to, JsonObject &from);
Status from_json(td_api::getUserPrivacySettingRules &to, JsonObject &from);
Status from_json(td_api::getUserProfilePhotos &to, JsonObject &from);
Status from_json(td_api::getWallpapers &to, JsonObject &from);
Status from_json(td_api::getWebPageInstantView &to, JsonObject &from);
Status from_json(td_api::getWebPagePreview &to, JsonObject &from);
Status from_json(td_api::importContacts &to, JsonObject &from);
Status from_json(td_api::joinChat &to, JsonObject &from);
Status from_json(td_api::joinChatByInviteLink &to, JsonObject &from);
Status from_json(td_api::leaveChat &to, JsonObject &from);
Status from_json(td_api::logOut &to, JsonObject &from);
Status from_json(td_api::openChat &to, JsonObject &from);
Status from_json(td_api::openMessageContent &to, JsonObject &from);
Status from_json(td_api::optimizeStorage &to, JsonObject &from);
Status from_json(td_api::parseTextEntities &to, JsonObject &from);
Status from_json(td_api::pinSupergroupMessage &to, JsonObject &from);
Status from_json(td_api::pingProxy &to, JsonObject &from);
Status from_json(td_api::processDcUpdate &to, JsonObject &from);
Status from_json(td_api::readAllChatMentions &to, JsonObject &from);
Status from_json(td_api::recoverAuthenticationPassword &to, JsonObject &from);
Status from_json(td_api::recoverPassword &to, JsonObject &from);
Status from_json(td_api::registerDevice &to, JsonObject &from);
Status from_json(td_api::removeContacts &to, JsonObject &from);
Status from_json(td_api::removeFavoriteSticker &to, JsonObject &from);
Status from_json(td_api::removeProxy &to, JsonObject &from);
Status from_json(td_api::removeRecentHashtag &to, JsonObject &from);
Status from_json(td_api::removeRecentSticker &to, JsonObject &from);
Status from_json(td_api::removeRecentlyFoundChat &to, JsonObject &from);
Status from_json(td_api::removeSavedAnimation &to, JsonObject &from);
Status from_json(td_api::removeStickerFromSet &to, JsonObject &from);
Status from_json(td_api::removeTopChat &to, JsonObject &from);
Status from_json(td_api::reorderInstalledStickerSets &to, JsonObject &from);
Status from_json(td_api::reportChat &to, JsonObject &from);
Status from_json(td_api::reportSupergroupSpam &to, JsonObject &from);
Status from_json(td_api::requestAuthenticationPasswordRecovery &to, JsonObject &from);
Status from_json(td_api::requestPasswordRecovery &to, JsonObject &from);
Status from_json(td_api::resendAuthenticationCode &to, JsonObject &from);
Status from_json(td_api::resendChangePhoneNumberCode &to, JsonObject &from);
Status from_json(td_api::resendEmailAddressVerificationCode &to, JsonObject &from);
Status from_json(td_api::resendPhoneNumberConfirmationCode &to, JsonObject &from);
Status from_json(td_api::resendPhoneNumberVerificationCode &to, JsonObject &from);
Status from_json(td_api::resetAllNotificationSettings &to, JsonObject &from);
Status from_json(td_api::resetNetworkStatistics &to, JsonObject &from);
Status from_json(td_api::searchCallMessages &to, JsonObject &from);
Status from_json(td_api::searchChatMembers &to, JsonObject &from);
Status from_json(td_api::searchChatMessages &to, JsonObject &from);
Status from_json(td_api::searchChatRecentLocationMessages &to, JsonObject &from);
Status from_json(td_api::searchChats &to, JsonObject &from);
Status from_json(td_api::searchChatsOnServer &to, JsonObject &from);
Status from_json(td_api::searchContacts &to, JsonObject &from);
Status from_json(td_api::searchHashtags &to, JsonObject &from);
Status from_json(td_api::searchInstalledStickerSets &to, JsonObject &from);
Status from_json(td_api::searchMessages &to, JsonObject &from);
Status from_json(td_api::searchPublicChat &to, JsonObject &from);
Status from_json(td_api::searchPublicChats &to, JsonObject &from);
Status from_json(td_api::searchSecretMessages &to, JsonObject &from);
Status from_json(td_api::searchStickerSet &to, JsonObject &from);
Status from_json(td_api::searchStickerSets &to, JsonObject &from);
Status from_json(td_api::searchStickers &to, JsonObject &from);
Status from_json(td_api::sendBotStartMessage &to, JsonObject &from);
Status from_json(td_api::sendCallDebugInformation &to, JsonObject &from);
Status from_json(td_api::sendCallRating &to, JsonObject &from);
Status from_json(td_api::sendChatAction &to, JsonObject &from);
Status from_json(td_api::sendChatScreenshotTakenNotification &to, JsonObject &from);
Status from_json(td_api::sendChatSetTtlMessage &to, JsonObject &from);
Status from_json(td_api::sendCustomRequest &to, JsonObject &from);
Status from_json(td_api::sendEmailAddressVerificationCode &to, JsonObject &from);
Status from_json(td_api::sendInlineQueryResultMessage &to, JsonObject &from);
Status from_json(td_api::sendMessage &to, JsonObject &from);
Status from_json(td_api::sendMessageAlbum &to, JsonObject &from);
Status from_json(td_api::sendPassportAuthorizationForm &to, JsonObject &from);
Status from_json(td_api::sendPaymentForm &to, JsonObject &from);
Status from_json(td_api::sendPhoneNumberConfirmationCode &to, JsonObject &from);
Status from_json(td_api::sendPhoneNumberVerificationCode &to, JsonObject &from);
Status from_json(td_api::setAccountTtl &to, JsonObject &from);
Status from_json(td_api::setAlarm &to, JsonObject &from);
Status from_json(td_api::setAuthenticationPhoneNumber &to, JsonObject &from);
Status from_json(td_api::setBio &to, JsonObject &from);
Status from_json(td_api::setBotUpdatesStatus &to, JsonObject &from);
Status from_json(td_api::setChatClientData &to, JsonObject &from);
Status from_json(td_api::setChatDraftMessage &to, JsonObject &from);
Status from_json(td_api::setChatMemberStatus &to, JsonObject &from);
Status from_json(td_api::setChatNotificationSettings &to, JsonObject &from);
Status from_json(td_api::setChatPhoto &to, JsonObject &from);
Status from_json(td_api::setChatTitle &to, JsonObject &from);
Status from_json(td_api::setCustomLanguagePack &to, JsonObject &from);
Status from_json(td_api::setCustomLanguagePackString &to, JsonObject &from);
Status from_json(td_api::setDatabaseEncryptionKey &to, JsonObject &from);
Status from_json(td_api::setFileGenerationProgress &to, JsonObject &from);
Status from_json(td_api::setGameScore &to, JsonObject &from);
Status from_json(td_api::setInlineGameScore &to, JsonObject &from);
Status from_json(td_api::setName &to, JsonObject &from);
Status from_json(td_api::setNetworkType &to, JsonObject &from);
Status from_json(td_api::setOption &to, JsonObject &from);
Status from_json(td_api::setPassportElement &to, JsonObject &from);
Status from_json(td_api::setPassportElementErrors &to, JsonObject &from);
Status from_json(td_api::setPassword &to, JsonObject &from);
Status from_json(td_api::setPinnedChats &to, JsonObject &from);
Status from_json(td_api::setProfilePhoto &to, JsonObject &from);
Status from_json(td_api::setRecoveryEmailAddress &to, JsonObject &from);
Status from_json(td_api::setScopeNotificationSettings &to, JsonObject &from);
Status from_json(td_api::setStickerPositionInSet &to, JsonObject &from);
Status from_json(td_api::setSupergroupDescription &to, JsonObject &from);
Status from_json(td_api::setSupergroupStickerSet &to, JsonObject &from);
Status from_json(td_api::setSupergroupUsername &to, JsonObject &from);
Status from_json(td_api::setTdlibParameters &to, JsonObject &from);
Status from_json(td_api::setUserPrivacySettingRules &to, JsonObject &from);
Status from_json(td_api::setUsername &to, JsonObject &from);
Status from_json(td_api::terminateAllOtherSessions &to, JsonObject &from);
Status from_json(td_api::terminateSession &to, JsonObject &from);
Status from_json(td_api::testCallBytes &to, JsonObject &from);
Status from_json(td_api::testCallEmpty &to, JsonObject &from);
Status from_json(td_api::testCallString &to, JsonObject &from);
Status from_json(td_api::testCallVectorInt &to, JsonObject &from);
Status from_json(td_api::testCallVectorIntObject &to, JsonObject &from);
Status from_json(td_api::testCallVectorString &to, JsonObject &from);
Status from_json(td_api::testCallVectorStringObject &to, JsonObject &from);
Status from_json(td_api::testGetDifference &to, JsonObject &from);
Status from_json(td_api::testNetwork &to, JsonObject &from);
Status from_json(td_api::testSquareInt &to, JsonObject &from);
Status from_json(td_api::testUseError &to, JsonObject &from);
Status from_json(td_api::testUseUpdate &to, JsonObject &from);
Status from_json(td_api::toggleBasicGroupAdministrators &to, JsonObject &from);
Status from_json(td_api::toggleChatDefaultDisableNotification &to, JsonObject &from);
Status from_json(td_api::toggleChatIsMarkedAsUnread &to, JsonObject &from);
Status from_json(td_api::toggleChatIsPinned &to, JsonObject &from);
Status from_json(td_api::toggleSupergroupInvites &to, JsonObject &from);
Status from_json(td_api::toggleSupergroupIsAllHistoryAvailable &to, JsonObject &from);
Status from_json(td_api::toggleSupergroupSignMessages &to, JsonObject &from);
Status from_json(td_api::unblockUser &to, JsonObject &from);
Status from_json(td_api::unpinSupergroupMessage &to, JsonObject &from);
Status from_json(td_api::upgradeBasicGroupChatToSupergroupChat &to, JsonObject &from);
Status from_json(td_api::uploadFile &to, JsonObject &from);
Status from_json(td_api::uploadStickerFile &to, JsonObject &from);
Status from_json(td_api::validateOrderInfo &to, JsonObject &from);
Status from_json(td_api::viewMessages &to, JsonObject &from);
Status from_json(td_api::viewTrendingStickerSets &to, JsonObject &from);
void to_json(JsonValueScope &jv, const td_api::accountTtl &object);
void to_json(JsonValueScope &jv, const td_api::address &object);
void to_json(JsonValueScope &jv, const td_api::animation &object);
void to_json(JsonValueScope &jv, const td_api::animations &object);
void to_json(JsonValueScope &jv, const td_api::audio &object);
void to_json(JsonValueScope &jv, const td_api::authenticationCodeInfo &object);
void to_json(JsonValueScope &jv, const td_api::AuthenticationCodeType &object);
void to_json(JsonValueScope &jv, const td_api::authenticationCodeTypeTelegramMessage &object);
void to_json(JsonValueScope &jv, const td_api::authenticationCodeTypeSms &object);
void to_json(JsonValueScope &jv, const td_api::authenticationCodeTypeCall &object);
void to_json(JsonValueScope &jv, const td_api::authenticationCodeTypeFlashCall &object);
void to_json(JsonValueScope &jv, const td_api::AuthorizationState &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateWaitTdlibParameters &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateWaitEncryptionKey &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateWaitPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateWaitCode &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateWaitPassword &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateReady &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateLoggingOut &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateClosing &object);
void to_json(JsonValueScope &jv, const td_api::authorizationStateClosed &object);
void to_json(JsonValueScope &jv, const td_api::basicGroup &object);
void to_json(JsonValueScope &jv, const td_api::basicGroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::botCommand &object);
void to_json(JsonValueScope &jv, const td_api::botInfo &object);
void to_json(JsonValueScope &jv, const td_api::call &object);
void to_json(JsonValueScope &jv, const td_api::callConnection &object);
void to_json(JsonValueScope &jv, const td_api::CallDiscardReason &object);
void to_json(JsonValueScope &jv, const td_api::callDiscardReasonEmpty &object);
void to_json(JsonValueScope &jv, const td_api::callDiscardReasonMissed &object);
void to_json(JsonValueScope &jv, const td_api::callDiscardReasonDeclined &object);
void to_json(JsonValueScope &jv, const td_api::callDiscardReasonDisconnected &object);
void to_json(JsonValueScope &jv, const td_api::callDiscardReasonHungUp &object);
void to_json(JsonValueScope &jv, const td_api::callId &object);
void to_json(JsonValueScope &jv, const td_api::callProtocol &object);
void to_json(JsonValueScope &jv, const td_api::CallState &object);
void to_json(JsonValueScope &jv, const td_api::callStatePending &object);
void to_json(JsonValueScope &jv, const td_api::callStateExchangingKeys &object);
void to_json(JsonValueScope &jv, const td_api::callStateReady &object);
void to_json(JsonValueScope &jv, const td_api::callStateHangingUp &object);
void to_json(JsonValueScope &jv, const td_api::callStateDiscarded &object);
void to_json(JsonValueScope &jv, const td_api::callStateError &object);
void to_json(JsonValueScope &jv, const td_api::callbackQueryAnswer &object);
void to_json(JsonValueScope &jv, const td_api::CallbackQueryPayload &object);
void to_json(JsonValueScope &jv, const td_api::callbackQueryPayloadData &object);
void to_json(JsonValueScope &jv, const td_api::callbackQueryPayloadGame &object);
void to_json(JsonValueScope &jv, const td_api::chat &object);
void to_json(JsonValueScope &jv, const td_api::ChatAction &object);
void to_json(JsonValueScope &jv, const td_api::chatActionTyping &object);
void to_json(JsonValueScope &jv, const td_api::chatActionRecordingVideo &object);
void to_json(JsonValueScope &jv, const td_api::chatActionUploadingVideo &object);
void to_json(JsonValueScope &jv, const td_api::chatActionRecordingVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::chatActionUploadingVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::chatActionUploadingPhoto &object);
void to_json(JsonValueScope &jv, const td_api::chatActionUploadingDocument &object);
void to_json(JsonValueScope &jv, const td_api::chatActionChoosingLocation &object);
void to_json(JsonValueScope &jv, const td_api::chatActionChoosingContact &object);
void to_json(JsonValueScope &jv, const td_api::chatActionStartPlayingGame &object);
void to_json(JsonValueScope &jv, const td_api::chatActionRecordingVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::chatActionUploadingVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::chatActionCancel &object);
void to_json(JsonValueScope &jv, const td_api::chatEvent &object);
void to_json(JsonValueScope &jv, const td_api::ChatEventAction &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMessageEdited &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMessageDeleted &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMessagePinned &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMessageUnpinned &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMemberJoined &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMemberLeft &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMemberInvited &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMemberPromoted &object);
void to_json(JsonValueScope &jv, const td_api::chatEventMemberRestricted &object);
void to_json(JsonValueScope &jv, const td_api::chatEventTitleChanged &object);
void to_json(JsonValueScope &jv, const td_api::chatEventDescriptionChanged &object);
void to_json(JsonValueScope &jv, const td_api::chatEventUsernameChanged &object);
void to_json(JsonValueScope &jv, const td_api::chatEventPhotoChanged &object);
void to_json(JsonValueScope &jv, const td_api::chatEventInvitesToggled &object);
void to_json(JsonValueScope &jv, const td_api::chatEventSignMessagesToggled &object);
void to_json(JsonValueScope &jv, const td_api::chatEventStickerSetChanged &object);
void to_json(JsonValueScope &jv, const td_api::chatEventIsAllHistoryAvailableToggled &object);
void to_json(JsonValueScope &jv, const td_api::chatEventLogFilters &object);
void to_json(JsonValueScope &jv, const td_api::chatEvents &object);
void to_json(JsonValueScope &jv, const td_api::chatInviteLink &object);
void to_json(JsonValueScope &jv, const td_api::chatInviteLinkInfo &object);
void to_json(JsonValueScope &jv, const td_api::chatMember &object);
void to_json(JsonValueScope &jv, const td_api::ChatMemberStatus &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusCreator &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusAdministrator &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusMember &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusRestricted &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusLeft &object);
void to_json(JsonValueScope &jv, const td_api::chatMemberStatusBanned &object);
void to_json(JsonValueScope &jv, const td_api::chatMembers &object);
void to_json(JsonValueScope &jv, const td_api::ChatMembersFilter &object);
void to_json(JsonValueScope &jv, const td_api::chatMembersFilterAdministrators &object);
void to_json(JsonValueScope &jv, const td_api::chatMembersFilterMembers &object);
void to_json(JsonValueScope &jv, const td_api::chatMembersFilterRestricted &object);
void to_json(JsonValueScope &jv, const td_api::chatMembersFilterBanned &object);
void to_json(JsonValueScope &jv, const td_api::chatMembersFilterBots &object);
void to_json(JsonValueScope &jv, const td_api::chatNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::chatPhoto &object);
void to_json(JsonValueScope &jv, const td_api::ChatReportReason &object);
void to_json(JsonValueScope &jv, const td_api::chatReportReasonSpam &object);
void to_json(JsonValueScope &jv, const td_api::chatReportReasonViolence &object);
void to_json(JsonValueScope &jv, const td_api::chatReportReasonPornography &object);
void to_json(JsonValueScope &jv, const td_api::chatReportReasonCopyright &object);
void to_json(JsonValueScope &jv, const td_api::chatReportReasonCustom &object);
void to_json(JsonValueScope &jv, const td_api::chatReportSpamState &object);
void to_json(JsonValueScope &jv, const td_api::ChatType &object);
void to_json(JsonValueScope &jv, const td_api::chatTypePrivate &object);
void to_json(JsonValueScope &jv, const td_api::chatTypeBasicGroup &object);
void to_json(JsonValueScope &jv, const td_api::chatTypeSupergroup &object);
void to_json(JsonValueScope &jv, const td_api::chatTypeSecret &object);
void to_json(JsonValueScope &jv, const td_api::chats &object);
void to_json(JsonValueScope &jv, const td_api::CheckChatUsernameResult &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsernameResultOk &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsernameResultUsernameInvalid &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsernameResultUsernameOccupied &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsernameResultPublicChatsTooMuch &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsernameResultPublicGroupsUnavailable &object);
void to_json(JsonValueScope &jv, const td_api::connectedWebsite &object);
void to_json(JsonValueScope &jv, const td_api::connectedWebsites &object);
void to_json(JsonValueScope &jv, const td_api::ConnectionState &object);
void to_json(JsonValueScope &jv, const td_api::connectionStateWaitingForNetwork &object);
void to_json(JsonValueScope &jv, const td_api::connectionStateConnectingToProxy &object);
void to_json(JsonValueScope &jv, const td_api::connectionStateConnecting &object);
void to_json(JsonValueScope &jv, const td_api::connectionStateUpdating &object);
void to_json(JsonValueScope &jv, const td_api::connectionStateReady &object);
void to_json(JsonValueScope &jv, const td_api::contact &object);
void to_json(JsonValueScope &jv, const td_api::count &object);
void to_json(JsonValueScope &jv, const td_api::customRequestResult &object);
void to_json(JsonValueScope &jv, const td_api::date &object);
void to_json(JsonValueScope &jv, const td_api::datedFile &object);
void to_json(JsonValueScope &jv, const td_api::deepLinkInfo &object);
void to_json(JsonValueScope &jv, const td_api::DeviceToken &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenGoogleCloudMessaging &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenApplePush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenApplePushVoIP &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenWindowsPush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenMicrosoftPush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenMicrosoftPushVoIP &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenWebPush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenSimplePush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenUbuntuPush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenBlackBerryPush &object);
void to_json(JsonValueScope &jv, const td_api::deviceTokenTizenPush &object);
void to_json(JsonValueScope &jv, const td_api::document &object);
void to_json(JsonValueScope &jv, const td_api::draftMessage &object);
void to_json(JsonValueScope &jv, const td_api::emailAddressAuthenticationCodeInfo &object);
void to_json(JsonValueScope &jv, const td_api::encryptedCredentials &object);
void to_json(JsonValueScope &jv, const td_api::encryptedPassportElement &object);
void to_json(JsonValueScope &jv, const td_api::error &object);
void to_json(JsonValueScope &jv, const td_api::file &object);
void to_json(JsonValueScope &jv, const td_api::FileType &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeNone &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeAnimation &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeAudio &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeDocument &object);
void to_json(JsonValueScope &jv, const td_api::fileTypePhoto &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeProfilePhoto &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeSecret &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeSecretThumbnail &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeSecure &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeSticker &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeThumbnail &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeUnknown &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeVideo &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::fileTypeWallpaper &object);
void to_json(JsonValueScope &jv, const td_api::formattedText &object);
void to_json(JsonValueScope &jv, const td_api::foundMessages &object);
void to_json(JsonValueScope &jv, const td_api::game &object);
void to_json(JsonValueScope &jv, const td_api::gameHighScore &object);
void to_json(JsonValueScope &jv, const td_api::gameHighScores &object);
void to_json(JsonValueScope &jv, const td_api::hashtags &object);
void to_json(JsonValueScope &jv, const td_api::identityDocument &object);
void to_json(JsonValueScope &jv, const td_api::importedContacts &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButton &object);
void to_json(JsonValueScope &jv, const td_api::InlineKeyboardButtonType &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButtonTypeUrl &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButtonTypeCallback &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButtonTypeCallbackGame &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButtonTypeSwitchInline &object);
void to_json(JsonValueScope &jv, const td_api::inlineKeyboardButtonTypeBuy &object);
void to_json(JsonValueScope &jv, const td_api::InlineQueryResult &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultArticle &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultContact &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultLocation &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultVenue &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultGame &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultAnimation &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultAudio &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultDocument &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultPhoto &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultSticker &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultVideo &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResultVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::inlineQueryResults &object);
void to_json(JsonValueScope &jv, const td_api::InputCredentials &object);
void to_json(JsonValueScope &jv, const td_api::inputCredentialsSaved &object);
void to_json(JsonValueScope &jv, const td_api::inputCredentialsNew &object);
void to_json(JsonValueScope &jv, const td_api::inputCredentialsAndroidPay &object);
void to_json(JsonValueScope &jv, const td_api::inputCredentialsApplePay &object);
void to_json(JsonValueScope &jv, const td_api::InputFile &object);
void to_json(JsonValueScope &jv, const td_api::inputFileId &object);
void to_json(JsonValueScope &jv, const td_api::inputFileRemote &object);
void to_json(JsonValueScope &jv, const td_api::inputFileLocal &object);
void to_json(JsonValueScope &jv, const td_api::inputFileGenerated &object);
void to_json(JsonValueScope &jv, const td_api::inputIdentityDocument &object);
void to_json(JsonValueScope &jv, const td_api::InputInlineQueryResult &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultAnimatedGif &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultAnimatedMpeg4 &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultArticle &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultAudio &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultContact &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultDocument &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultGame &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultLocation &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultPhoto &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultSticker &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultVenue &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultVideo &object);
void to_json(JsonValueScope &jv, const td_api::inputInlineQueryResultVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::InputMessageContent &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageText &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageAnimation &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageAudio &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageDocument &object);
void to_json(JsonValueScope &jv, const td_api::inputMessagePhoto &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageSticker &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageVideo &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageLocation &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageVenue &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageContact &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageGame &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageInvoice &object);
void to_json(JsonValueScope &jv, const td_api::inputMessageForwarded &object);
void to_json(JsonValueScope &jv, const td_api::InputPassportElement &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementPersonalDetails &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementPassport &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementDriverLicense &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementIdentityCard &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementInternalPassport &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementAddress &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementUtilityBill &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementBankStatement &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementRentalAgreement &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementPassportRegistration &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementTemporaryRegistration &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementError &object);
void to_json(JsonValueScope &jv, const td_api::InputPassportElementErrorSource &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceUnspecified &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceDataField &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceFrontSide &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceReverseSide &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceSelfie &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceTranslationFile &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceTranslationFiles &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceFile &object);
void to_json(JsonValueScope &jv, const td_api::inputPassportElementErrorSourceFiles &object);
void to_json(JsonValueScope &jv, const td_api::inputPersonalDocument &object);
void to_json(JsonValueScope &jv, const td_api::inputSticker &object);
void to_json(JsonValueScope &jv, const td_api::inputThumbnail &object);
void to_json(JsonValueScope &jv, const td_api::invoice &object);
void to_json(JsonValueScope &jv, const td_api::keyboardButton &object);
void to_json(JsonValueScope &jv, const td_api::KeyboardButtonType &object);
void to_json(JsonValueScope &jv, const td_api::keyboardButtonTypeText &object);
void to_json(JsonValueScope &jv, const td_api::keyboardButtonTypeRequestPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::keyboardButtonTypeRequestLocation &object);
void to_json(JsonValueScope &jv, const td_api::labeledPricePart &object);
void to_json(JsonValueScope &jv, const td_api::languagePackInfo &object);
void to_json(JsonValueScope &jv, const td_api::languagePackString &object);
void to_json(JsonValueScope &jv, const td_api::LanguagePackStringValue &object);
void to_json(JsonValueScope &jv, const td_api::languagePackStringValueOrdinary &object);
void to_json(JsonValueScope &jv, const td_api::languagePackStringValuePluralized &object);
void to_json(JsonValueScope &jv, const td_api::languagePackStringValueDeleted &object);
void to_json(JsonValueScope &jv, const td_api::languagePackStrings &object);
void to_json(JsonValueScope &jv, const td_api::LinkState &object);
void to_json(JsonValueScope &jv, const td_api::linkStateNone &object);
void to_json(JsonValueScope &jv, const td_api::linkStateKnowsPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::linkStateIsContact &object);
void to_json(JsonValueScope &jv, const td_api::localFile &object);
void to_json(JsonValueScope &jv, const td_api::localizationTargetInfo &object);
void to_json(JsonValueScope &jv, const td_api::location &object);
void to_json(JsonValueScope &jv, const td_api::MaskPoint &object);
void to_json(JsonValueScope &jv, const td_api::maskPointForehead &object);
void to_json(JsonValueScope &jv, const td_api::maskPointEyes &object);
void to_json(JsonValueScope &jv, const td_api::maskPointMouth &object);
void to_json(JsonValueScope &jv, const td_api::maskPointChin &object);
void to_json(JsonValueScope &jv, const td_api::maskPosition &object);
void to_json(JsonValueScope &jv, const td_api::message &object);
void to_json(JsonValueScope &jv, const td_api::MessageContent &object);
void to_json(JsonValueScope &jv, const td_api::messageText &object);
void to_json(JsonValueScope &jv, const td_api::messageAnimation &object);
void to_json(JsonValueScope &jv, const td_api::messageAudio &object);
void to_json(JsonValueScope &jv, const td_api::messageDocument &object);
void to_json(JsonValueScope &jv, const td_api::messagePhoto &object);
void to_json(JsonValueScope &jv, const td_api::messageExpiredPhoto &object);
void to_json(JsonValueScope &jv, const td_api::messageSticker &object);
void to_json(JsonValueScope &jv, const td_api::messageVideo &object);
void to_json(JsonValueScope &jv, const td_api::messageExpiredVideo &object);
void to_json(JsonValueScope &jv, const td_api::messageVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::messageVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::messageLocation &object);
void to_json(JsonValueScope &jv, const td_api::messageVenue &object);
void to_json(JsonValueScope &jv, const td_api::messageContact &object);
void to_json(JsonValueScope &jv, const td_api::messageGame &object);
void to_json(JsonValueScope &jv, const td_api::messageInvoice &object);
void to_json(JsonValueScope &jv, const td_api::messageCall &object);
void to_json(JsonValueScope &jv, const td_api::messageBasicGroupChatCreate &object);
void to_json(JsonValueScope &jv, const td_api::messageSupergroupChatCreate &object);
void to_json(JsonValueScope &jv, const td_api::messageChatChangeTitle &object);
void to_json(JsonValueScope &jv, const td_api::messageChatChangePhoto &object);
void to_json(JsonValueScope &jv, const td_api::messageChatDeletePhoto &object);
void to_json(JsonValueScope &jv, const td_api::messageChatAddMembers &object);
void to_json(JsonValueScope &jv, const td_api::messageChatJoinByLink &object);
void to_json(JsonValueScope &jv, const td_api::messageChatDeleteMember &object);
void to_json(JsonValueScope &jv, const td_api::messageChatUpgradeTo &object);
void to_json(JsonValueScope &jv, const td_api::messageChatUpgradeFrom &object);
void to_json(JsonValueScope &jv, const td_api::messagePinMessage &object);
void to_json(JsonValueScope &jv, const td_api::messageScreenshotTaken &object);
void to_json(JsonValueScope &jv, const td_api::messageChatSetTtl &object);
void to_json(JsonValueScope &jv, const td_api::messageCustomServiceAction &object);
void to_json(JsonValueScope &jv, const td_api::messageGameScore &object);
void to_json(JsonValueScope &jv, const td_api::messagePaymentSuccessful &object);
void to_json(JsonValueScope &jv, const td_api::messagePaymentSuccessfulBot &object);
void to_json(JsonValueScope &jv, const td_api::messageContactRegistered &object);
void to_json(JsonValueScope &jv, const td_api::messageWebsiteConnected &object);
void to_json(JsonValueScope &jv, const td_api::messagePassportDataSent &object);
void to_json(JsonValueScope &jv, const td_api::messagePassportDataReceived &object);
void to_json(JsonValueScope &jv, const td_api::messageUnsupported &object);
void to_json(JsonValueScope &jv, const td_api::MessageForwardInfo &object);
void to_json(JsonValueScope &jv, const td_api::messageForwardedFromUser &object);
void to_json(JsonValueScope &jv, const td_api::messageForwardedPost &object);
void to_json(JsonValueScope &jv, const td_api::MessageSendingState &object);
void to_json(JsonValueScope &jv, const td_api::messageSendingStatePending &object);
void to_json(JsonValueScope &jv, const td_api::messageSendingStateFailed &object);
void to_json(JsonValueScope &jv, const td_api::messages &object);
void to_json(JsonValueScope &jv, const td_api::networkStatistics &object);
void to_json(JsonValueScope &jv, const td_api::NetworkStatisticsEntry &object);
void to_json(JsonValueScope &jv, const td_api::networkStatisticsEntryFile &object);
void to_json(JsonValueScope &jv, const td_api::networkStatisticsEntryCall &object);
void to_json(JsonValueScope &jv, const td_api::NetworkType &object);
void to_json(JsonValueScope &jv, const td_api::networkTypeNone &object);
void to_json(JsonValueScope &jv, const td_api::networkTypeMobile &object);
void to_json(JsonValueScope &jv, const td_api::networkTypeMobileRoaming &object);
void to_json(JsonValueScope &jv, const td_api::networkTypeWiFi &object);
void to_json(JsonValueScope &jv, const td_api::networkTypeOther &object);
void to_json(JsonValueScope &jv, const td_api::NotificationSettingsScope &object);
void to_json(JsonValueScope &jv, const td_api::notificationSettingsScopePrivateChats &object);
void to_json(JsonValueScope &jv, const td_api::notificationSettingsScopeGroupChats &object);
void to_json(JsonValueScope &jv, const td_api::ok &object);
void to_json(JsonValueScope &jv, const td_api::OptionValue &object);
void to_json(JsonValueScope &jv, const td_api::optionValueBoolean &object);
void to_json(JsonValueScope &jv, const td_api::optionValueEmpty &object);
void to_json(JsonValueScope &jv, const td_api::optionValueInteger &object);
void to_json(JsonValueScope &jv, const td_api::optionValueString &object);
void to_json(JsonValueScope &jv, const td_api::orderInfo &object);
void to_json(JsonValueScope &jv, const td_api::PageBlock &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockTitle &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockSubtitle &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockAuthorDate &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockHeader &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockSubheader &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockParagraph &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockPreformatted &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockFooter &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockDivider &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockAnchor &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockList &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockBlockQuote &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockPullQuote &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockAnimation &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockAudio &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockPhoto &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockVideo &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockCover &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockEmbedded &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockEmbeddedPost &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockCollage &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockSlideshow &object);
void to_json(JsonValueScope &jv, const td_api::pageBlockChatLink &object);
void to_json(JsonValueScope &jv, const td_api::passportAuthorizationForm &object);
void to_json(JsonValueScope &jv, const td_api::PassportElement &object);
void to_json(JsonValueScope &jv, const td_api::passportElementPersonalDetails &object);
void to_json(JsonValueScope &jv, const td_api::passportElementPassport &object);
void to_json(JsonValueScope &jv, const td_api::passportElementDriverLicense &object);
void to_json(JsonValueScope &jv, const td_api::passportElementIdentityCard &object);
void to_json(JsonValueScope &jv, const td_api::passportElementInternalPassport &object);
void to_json(JsonValueScope &jv, const td_api::passportElementAddress &object);
void to_json(JsonValueScope &jv, const td_api::passportElementUtilityBill &object);
void to_json(JsonValueScope &jv, const td_api::passportElementBankStatement &object);
void to_json(JsonValueScope &jv, const td_api::passportElementRentalAgreement &object);
void to_json(JsonValueScope &jv, const td_api::passportElementPassportRegistration &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTemporaryRegistration &object);
void to_json(JsonValueScope &jv, const td_api::passportElementPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::passportElementEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::passportElementError &object);
void to_json(JsonValueScope &jv, const td_api::PassportElementErrorSource &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceUnspecified &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceDataField &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceFrontSide &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceReverseSide &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceSelfie &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceTranslationFile &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceTranslationFiles &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceFile &object);
void to_json(JsonValueScope &jv, const td_api::passportElementErrorSourceFiles &object);
void to_json(JsonValueScope &jv, const td_api::PassportElementType &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypePersonalDetails &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypePassport &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeDriverLicense &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeIdentityCard &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeInternalPassport &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeAddress &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeUtilityBill &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeBankStatement &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeRentalAgreement &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypePassportRegistration &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeTemporaryRegistration &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypePhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::passportElementTypeEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::passportElements &object);
void to_json(JsonValueScope &jv, const td_api::passportRequiredElement &object);
void to_json(JsonValueScope &jv, const td_api::passportSuitableElement &object);
void to_json(JsonValueScope &jv, const td_api::passwordState &object);
void to_json(JsonValueScope &jv, const td_api::paymentForm &object);
void to_json(JsonValueScope &jv, const td_api::paymentReceipt &object);
void to_json(JsonValueScope &jv, const td_api::paymentResult &object);
void to_json(JsonValueScope &jv, const td_api::paymentsProviderStripe &object);
void to_json(JsonValueScope &jv, const td_api::personalDetails &object);
void to_json(JsonValueScope &jv, const td_api::personalDocument &object);
void to_json(JsonValueScope &jv, const td_api::photo &object);
void to_json(JsonValueScope &jv, const td_api::photoSize &object);
void to_json(JsonValueScope &jv, const td_api::profilePhoto &object);
void to_json(JsonValueScope &jv, const td_api::proxies &object);
void to_json(JsonValueScope &jv, const td_api::proxy &object);
void to_json(JsonValueScope &jv, const td_api::ProxyType &object);
void to_json(JsonValueScope &jv, const td_api::proxyTypeSocks5 &object);
void to_json(JsonValueScope &jv, const td_api::proxyTypeHttp &object);
void to_json(JsonValueScope &jv, const td_api::proxyTypeMtproto &object);
void to_json(JsonValueScope &jv, const td_api::publicMessageLink &object);
void to_json(JsonValueScope &jv, const td_api::recoveryEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::remoteFile &object);
void to_json(JsonValueScope &jv, const td_api::ReplyMarkup &object);
void to_json(JsonValueScope &jv, const td_api::replyMarkupRemoveKeyboard &object);
void to_json(JsonValueScope &jv, const td_api::replyMarkupForceReply &object);
void to_json(JsonValueScope &jv, const td_api::replyMarkupShowKeyboard &object);
void to_json(JsonValueScope &jv, const td_api::replyMarkupInlineKeyboard &object);
void to_json(JsonValueScope &jv, const td_api::RichText &object);
void to_json(JsonValueScope &jv, const td_api::richTextPlain &object);
void to_json(JsonValueScope &jv, const td_api::richTextBold &object);
void to_json(JsonValueScope &jv, const td_api::richTextItalic &object);
void to_json(JsonValueScope &jv, const td_api::richTextUnderline &object);
void to_json(JsonValueScope &jv, const td_api::richTextStrikethrough &object);
void to_json(JsonValueScope &jv, const td_api::richTextFixed &object);
void to_json(JsonValueScope &jv, const td_api::richTextUrl &object);
void to_json(JsonValueScope &jv, const td_api::richTextEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::richTexts &object);
void to_json(JsonValueScope &jv, const td_api::savedCredentials &object);
void to_json(JsonValueScope &jv, const td_api::scopeNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::SearchMessagesFilter &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterEmpty &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterAnimation &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterAudio &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterDocument &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterPhoto &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterVideo &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterVoiceNote &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterPhotoAndVideo &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterUrl &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterChatPhoto &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterCall &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterMissedCall &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterVoiceAndVideoNote &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterMention &object);
void to_json(JsonValueScope &jv, const td_api::searchMessagesFilterUnreadMention &object);
void to_json(JsonValueScope &jv, const td_api::seconds &object);
void to_json(JsonValueScope &jv, const td_api::secretChat &object);
void to_json(JsonValueScope &jv, const td_api::SecretChatState &object);
void to_json(JsonValueScope &jv, const td_api::secretChatStatePending &object);
void to_json(JsonValueScope &jv, const td_api::secretChatStateReady &object);
void to_json(JsonValueScope &jv, const td_api::secretChatStateClosed &object);
void to_json(JsonValueScope &jv, const td_api::session &object);
void to_json(JsonValueScope &jv, const td_api::sessions &object);
void to_json(JsonValueScope &jv, const td_api::shippingOption &object);
void to_json(JsonValueScope &jv, const td_api::sticker &object);
void to_json(JsonValueScope &jv, const td_api::stickerEmojis &object);
void to_json(JsonValueScope &jv, const td_api::stickerSet &object);
void to_json(JsonValueScope &jv, const td_api::stickerSetInfo &object);
void to_json(JsonValueScope &jv, const td_api::stickerSets &object);
void to_json(JsonValueScope &jv, const td_api::stickers &object);
void to_json(JsonValueScope &jv, const td_api::storageStatistics &object);
void to_json(JsonValueScope &jv, const td_api::storageStatisticsByChat &object);
void to_json(JsonValueScope &jv, const td_api::storageStatisticsByFileType &object);
void to_json(JsonValueScope &jv, const td_api::storageStatisticsFast &object);
void to_json(JsonValueScope &jv, const td_api::supergroup &object);
void to_json(JsonValueScope &jv, const td_api::supergroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::SupergroupMembersFilter &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterRecent &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterAdministrators &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterSearch &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterRestricted &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterBanned &object);
void to_json(JsonValueScope &jv, const td_api::supergroupMembersFilterBots &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrl &object);
void to_json(JsonValueScope &jv, const td_api::TMeUrlType &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrlTypeUser &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrlTypeSupergroup &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrlTypeChatInvite &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrlTypeStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::tMeUrls &object);
void to_json(JsonValueScope &jv, const td_api::tdlibParameters &object);
void to_json(JsonValueScope &jv, const td_api::temporaryPasswordState &object);
void to_json(JsonValueScope &jv, const td_api::termsOfService &object);
void to_json(JsonValueScope &jv, const td_api::testBytes &object);
void to_json(JsonValueScope &jv, const td_api::testInt &object);
void to_json(JsonValueScope &jv, const td_api::testString &object);
void to_json(JsonValueScope &jv, const td_api::testVectorInt &object);
void to_json(JsonValueScope &jv, const td_api::testVectorIntObject &object);
void to_json(JsonValueScope &jv, const td_api::testVectorString &object);
void to_json(JsonValueScope &jv, const td_api::testVectorStringObject &object);
void to_json(JsonValueScope &jv, const td_api::text &object);
void to_json(JsonValueScope &jv, const td_api::textEntities &object);
void to_json(JsonValueScope &jv, const td_api::textEntity &object);
void to_json(JsonValueScope &jv, const td_api::TextEntityType &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeMention &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeHashtag &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeCashtag &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeBotCommand &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeUrl &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeBold &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeItalic &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeCode &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypePre &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypePreCode &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeTextUrl &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypeMentionName &object);
void to_json(JsonValueScope &jv, const td_api::textEntityTypePhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::TextParseMode &object);
void to_json(JsonValueScope &jv, const td_api::textParseModeMarkdown &object);
void to_json(JsonValueScope &jv, const td_api::textParseModeHTML &object);
void to_json(JsonValueScope &jv, const td_api::TopChatCategory &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryUsers &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryBots &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryGroups &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryChannels &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryInlineBots &object);
void to_json(JsonValueScope &jv, const td_api::topChatCategoryCalls &object);
void to_json(JsonValueScope &jv, const td_api::Update &object);
void to_json(JsonValueScope &jv, const td_api::updateAuthorizationState &object);
void to_json(JsonValueScope &jv, const td_api::updateNewMessage &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageSendAcknowledged &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageSendSucceeded &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageSendFailed &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageContent &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageEdited &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageViews &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageContentOpened &object);
void to_json(JsonValueScope &jv, const td_api::updateMessageMentionRead &object);
void to_json(JsonValueScope &jv, const td_api::updateNewChat &object);
void to_json(JsonValueScope &jv, const td_api::updateChatTitle &object);
void to_json(JsonValueScope &jv, const td_api::updateChatPhoto &object);
void to_json(JsonValueScope &jv, const td_api::updateChatLastMessage &object);
void to_json(JsonValueScope &jv, const td_api::updateChatOrder &object);
void to_json(JsonValueScope &jv, const td_api::updateChatIsPinned &object);
void to_json(JsonValueScope &jv, const td_api::updateChatIsMarkedAsUnread &object);
void to_json(JsonValueScope &jv, const td_api::updateChatIsSponsored &object);
void to_json(JsonValueScope &jv, const td_api::updateChatDefaultDisableNotification &object);
void to_json(JsonValueScope &jv, const td_api::updateChatReadInbox &object);
void to_json(JsonValueScope &jv, const td_api::updateChatReadOutbox &object);
void to_json(JsonValueScope &jv, const td_api::updateChatUnreadMentionCount &object);
void to_json(JsonValueScope &jv, const td_api::updateChatNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::updateScopeNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::updateChatReplyMarkup &object);
void to_json(JsonValueScope &jv, const td_api::updateChatDraftMessage &object);
void to_json(JsonValueScope &jv, const td_api::updateDeleteMessages &object);
void to_json(JsonValueScope &jv, const td_api::updateUserChatAction &object);
void to_json(JsonValueScope &jv, const td_api::updateUserStatus &object);
void to_json(JsonValueScope &jv, const td_api::updateUser &object);
void to_json(JsonValueScope &jv, const td_api::updateBasicGroup &object);
void to_json(JsonValueScope &jv, const td_api::updateSupergroup &object);
void to_json(JsonValueScope &jv, const td_api::updateSecretChat &object);
void to_json(JsonValueScope &jv, const td_api::updateUserFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::updateBasicGroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::updateSupergroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::updateServiceNotification &object);
void to_json(JsonValueScope &jv, const td_api::updateFile &object);
void to_json(JsonValueScope &jv, const td_api::updateFileGenerationStart &object);
void to_json(JsonValueScope &jv, const td_api::updateFileGenerationStop &object);
void to_json(JsonValueScope &jv, const td_api::updateCall &object);
void to_json(JsonValueScope &jv, const td_api::updateUserPrivacySettingRules &object);
void to_json(JsonValueScope &jv, const td_api::updateUnreadMessageCount &object);
void to_json(JsonValueScope &jv, const td_api::updateUnreadChatCount &object);
void to_json(JsonValueScope &jv, const td_api::updateOption &object);
void to_json(JsonValueScope &jv, const td_api::updateInstalledStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::updateTrendingStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::updateRecentStickers &object);
void to_json(JsonValueScope &jv, const td_api::updateFavoriteStickers &object);
void to_json(JsonValueScope &jv, const td_api::updateSavedAnimations &object);
void to_json(JsonValueScope &jv, const td_api::updateLanguagePackStrings &object);
void to_json(JsonValueScope &jv, const td_api::updateConnectionState &object);
void to_json(JsonValueScope &jv, const td_api::updateTermsOfService &object);
void to_json(JsonValueScope &jv, const td_api::updateNewInlineQuery &object);
void to_json(JsonValueScope &jv, const td_api::updateNewChosenInlineResult &object);
void to_json(JsonValueScope &jv, const td_api::updateNewCallbackQuery &object);
void to_json(JsonValueScope &jv, const td_api::updateNewInlineCallbackQuery &object);
void to_json(JsonValueScope &jv, const td_api::updateNewShippingQuery &object);
void to_json(JsonValueScope &jv, const td_api::updateNewPreCheckoutQuery &object);
void to_json(JsonValueScope &jv, const td_api::updateNewCustomEvent &object);
void to_json(JsonValueScope &jv, const td_api::updateNewCustomQuery &object);
void to_json(JsonValueScope &jv, const td_api::user &object);
void to_json(JsonValueScope &jv, const td_api::userFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::UserPrivacySetting &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingShowStatus &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingAllowChatInvites &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingAllowCalls &object);
void to_json(JsonValueScope &jv, const td_api::UserPrivacySettingRule &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleAllowAll &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleAllowContacts &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleAllowUsers &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleRestrictAll &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleRestrictContacts &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRuleRestrictUsers &object);
void to_json(JsonValueScope &jv, const td_api::userPrivacySettingRules &object);
void to_json(JsonValueScope &jv, const td_api::userProfilePhotos &object);
void to_json(JsonValueScope &jv, const td_api::UserStatus &object);
void to_json(JsonValueScope &jv, const td_api::userStatusEmpty &object);
void to_json(JsonValueScope &jv, const td_api::userStatusOnline &object);
void to_json(JsonValueScope &jv, const td_api::userStatusOffline &object);
void to_json(JsonValueScope &jv, const td_api::userStatusRecently &object);
void to_json(JsonValueScope &jv, const td_api::userStatusLastWeek &object);
void to_json(JsonValueScope &jv, const td_api::userStatusLastMonth &object);
void to_json(JsonValueScope &jv, const td_api::UserType &object);
void to_json(JsonValueScope &jv, const td_api::userTypeRegular &object);
void to_json(JsonValueScope &jv, const td_api::userTypeDeleted &object);
void to_json(JsonValueScope &jv, const td_api::userTypeBot &object);
void to_json(JsonValueScope &jv, const td_api::userTypeUnknown &object);
void to_json(JsonValueScope &jv, const td_api::users &object);
void to_json(JsonValueScope &jv, const td_api::validatedOrderInfo &object);
void to_json(JsonValueScope &jv, const td_api::venue &object);
void to_json(JsonValueScope &jv, const td_api::video &object);
void to_json(JsonValueScope &jv, const td_api::videoNote &object);
void to_json(JsonValueScope &jv, const td_api::voiceNote &object);
void to_json(JsonValueScope &jv, const td_api::wallpaper &object);
void to_json(JsonValueScope &jv, const td_api::wallpapers &object);
void to_json(JsonValueScope &jv, const td_api::webPage &object);
void to_json(JsonValueScope &jv, const td_api::webPageInstantView &object);
void to_json(JsonValueScope &jv, const td_api::acceptCall &object);
void to_json(JsonValueScope &jv, const td_api::acceptTermsOfService &object);
void to_json(JsonValueScope &jv, const td_api::addChatMember &object);
void to_json(JsonValueScope &jv, const td_api::addChatMembers &object);
void to_json(JsonValueScope &jv, const td_api::addFavoriteSticker &object);
void to_json(JsonValueScope &jv, const td_api::addLocalMessage &object);
void to_json(JsonValueScope &jv, const td_api::addNetworkStatistics &object);
void to_json(JsonValueScope &jv, const td_api::addProxy &object);
void to_json(JsonValueScope &jv, const td_api::addRecentSticker &object);
void to_json(JsonValueScope &jv, const td_api::addRecentlyFoundChat &object);
void to_json(JsonValueScope &jv, const td_api::addSavedAnimation &object);
void to_json(JsonValueScope &jv, const td_api::addStickerToSet &object);
void to_json(JsonValueScope &jv, const td_api::answerCallbackQuery &object);
void to_json(JsonValueScope &jv, const td_api::answerCustomQuery &object);
void to_json(JsonValueScope &jv, const td_api::answerInlineQuery &object);
void to_json(JsonValueScope &jv, const td_api::answerPreCheckoutQuery &object);
void to_json(JsonValueScope &jv, const td_api::answerShippingQuery &object);
void to_json(JsonValueScope &jv, const td_api::blockUser &object);
void to_json(JsonValueScope &jv, const td_api::cancelDownloadFile &object);
void to_json(JsonValueScope &jv, const td_api::cancelUploadFile &object);
void to_json(JsonValueScope &jv, const td_api::changeChatReportSpamState &object);
void to_json(JsonValueScope &jv, const td_api::changeImportedContacts &object);
void to_json(JsonValueScope &jv, const td_api::changePhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::changeStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::checkAuthenticationBotToken &object);
void to_json(JsonValueScope &jv, const td_api::checkAuthenticationCode &object);
void to_json(JsonValueScope &jv, const td_api::checkAuthenticationPassword &object);
void to_json(JsonValueScope &jv, const td_api::checkChangePhoneNumberCode &object);
void to_json(JsonValueScope &jv, const td_api::checkChatInviteLink &object);
void to_json(JsonValueScope &jv, const td_api::checkChatUsername &object);
void to_json(JsonValueScope &jv, const td_api::checkDatabaseEncryptionKey &object);
void to_json(JsonValueScope &jv, const td_api::checkEmailAddressVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::checkPhoneNumberConfirmationCode &object);
void to_json(JsonValueScope &jv, const td_api::checkPhoneNumberVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::cleanFileName &object);
void to_json(JsonValueScope &jv, const td_api::clearAllDraftMessages &object);
void to_json(JsonValueScope &jv, const td_api::clearImportedContacts &object);
void to_json(JsonValueScope &jv, const td_api::clearRecentStickers &object);
void to_json(JsonValueScope &jv, const td_api::clearRecentlyFoundChats &object);
void to_json(JsonValueScope &jv, const td_api::close &object);
void to_json(JsonValueScope &jv, const td_api::closeChat &object);
void to_json(JsonValueScope &jv, const td_api::closeSecretChat &object);
void to_json(JsonValueScope &jv, const td_api::createBasicGroupChat &object);
void to_json(JsonValueScope &jv, const td_api::createCall &object);
void to_json(JsonValueScope &jv, const td_api::createNewBasicGroupChat &object);
void to_json(JsonValueScope &jv, const td_api::createNewSecretChat &object);
void to_json(JsonValueScope &jv, const td_api::createNewStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::createNewSupergroupChat &object);
void to_json(JsonValueScope &jv, const td_api::createPrivateChat &object);
void to_json(JsonValueScope &jv, const td_api::createSecretChat &object);
void to_json(JsonValueScope &jv, const td_api::createSupergroupChat &object);
void to_json(JsonValueScope &jv, const td_api::createTemporaryPassword &object);
void to_json(JsonValueScope &jv, const td_api::deleteAccount &object);
void to_json(JsonValueScope &jv, const td_api::deleteChatHistory &object);
void to_json(JsonValueScope &jv, const td_api::deleteChatMessagesFromUser &object);
void to_json(JsonValueScope &jv, const td_api::deleteChatReplyMarkup &object);
void to_json(JsonValueScope &jv, const td_api::deleteFile &object);
void to_json(JsonValueScope &jv, const td_api::deleteLanguagePack &object);
void to_json(JsonValueScope &jv, const td_api::deleteMessages &object);
void to_json(JsonValueScope &jv, const td_api::deletePassportElement &object);
void to_json(JsonValueScope &jv, const td_api::deleteProfilePhoto &object);
void to_json(JsonValueScope &jv, const td_api::deleteSavedCredentials &object);
void to_json(JsonValueScope &jv, const td_api::deleteSavedOrderInfo &object);
void to_json(JsonValueScope &jv, const td_api::deleteSupergroup &object);
void to_json(JsonValueScope &jv, const td_api::destroy &object);
void to_json(JsonValueScope &jv, const td_api::disableProxy &object);
void to_json(JsonValueScope &jv, const td_api::discardCall &object);
void to_json(JsonValueScope &jv, const td_api::disconnectAllWebsites &object);
void to_json(JsonValueScope &jv, const td_api::disconnectWebsite &object);
void to_json(JsonValueScope &jv, const td_api::downloadFile &object);
void to_json(JsonValueScope &jv, const td_api::editCustomLanguagePackInfo &object);
void to_json(JsonValueScope &jv, const td_api::editInlineMessageCaption &object);
void to_json(JsonValueScope &jv, const td_api::editInlineMessageLiveLocation &object);
void to_json(JsonValueScope &jv, const td_api::editInlineMessageMedia &object);
void to_json(JsonValueScope &jv, const td_api::editInlineMessageReplyMarkup &object);
void to_json(JsonValueScope &jv, const td_api::editInlineMessageText &object);
void to_json(JsonValueScope &jv, const td_api::editMessageCaption &object);
void to_json(JsonValueScope &jv, const td_api::editMessageLiveLocation &object);
void to_json(JsonValueScope &jv, const td_api::editMessageMedia &object);
void to_json(JsonValueScope &jv, const td_api::editMessageReplyMarkup &object);
void to_json(JsonValueScope &jv, const td_api::editMessageText &object);
void to_json(JsonValueScope &jv, const td_api::editProxy &object);
void to_json(JsonValueScope &jv, const td_api::enableProxy &object);
void to_json(JsonValueScope &jv, const td_api::finishFileGeneration &object);
void to_json(JsonValueScope &jv, const td_api::forwardMessages &object);
void to_json(JsonValueScope &jv, const td_api::generateChatInviteLink &object);
void to_json(JsonValueScope &jv, const td_api::getAccountTtl &object);
void to_json(JsonValueScope &jv, const td_api::getActiveLiveLocationMessages &object);
void to_json(JsonValueScope &jv, const td_api::getActiveSessions &object);
void to_json(JsonValueScope &jv, const td_api::getAllPassportElements &object);
void to_json(JsonValueScope &jv, const td_api::getArchivedStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::getAttachedStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::getAuthorizationState &object);
void to_json(JsonValueScope &jv, const td_api::getBasicGroup &object);
void to_json(JsonValueScope &jv, const td_api::getBasicGroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::getBlockedUsers &object);
void to_json(JsonValueScope &jv, const td_api::getCallbackQueryAnswer &object);
void to_json(JsonValueScope &jv, const td_api::getChat &object);
void to_json(JsonValueScope &jv, const td_api::getChatAdministrators &object);
void to_json(JsonValueScope &jv, const td_api::getChatEventLog &object);
void to_json(JsonValueScope &jv, const td_api::getChatHistory &object);
void to_json(JsonValueScope &jv, const td_api::getChatMember &object);
void to_json(JsonValueScope &jv, const td_api::getChatMessageByDate &object);
void to_json(JsonValueScope &jv, const td_api::getChatMessageCount &object);
void to_json(JsonValueScope &jv, const td_api::getChatPinnedMessage &object);
void to_json(JsonValueScope &jv, const td_api::getChatReportSpamState &object);
void to_json(JsonValueScope &jv, const td_api::getChats &object);
void to_json(JsonValueScope &jv, const td_api::getConnectedWebsites &object);
void to_json(JsonValueScope &jv, const td_api::getContacts &object);
void to_json(JsonValueScope &jv, const td_api::getCountryCode &object);
void to_json(JsonValueScope &jv, const td_api::getCreatedPublicChats &object);
void to_json(JsonValueScope &jv, const td_api::getDeepLinkInfo &object);
void to_json(JsonValueScope &jv, const td_api::getFavoriteStickers &object);
void to_json(JsonValueScope &jv, const td_api::getFile &object);
void to_json(JsonValueScope &jv, const td_api::getFileExtension &object);
void to_json(JsonValueScope &jv, const td_api::getFileMimeType &object);
void to_json(JsonValueScope &jv, const td_api::getGameHighScores &object);
void to_json(JsonValueScope &jv, const td_api::getGroupsInCommon &object);
void to_json(JsonValueScope &jv, const td_api::getImportedContactCount &object);
void to_json(JsonValueScope &jv, const td_api::getInlineGameHighScores &object);
void to_json(JsonValueScope &jv, const td_api::getInlineQueryResults &object);
void to_json(JsonValueScope &jv, const td_api::getInstalledStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::getInviteText &object);
void to_json(JsonValueScope &jv, const td_api::getLanguagePackString &object);
void to_json(JsonValueScope &jv, const td_api::getLanguagePackStrings &object);
void to_json(JsonValueScope &jv, const td_api::getLocalizationTargetInfo &object);
void to_json(JsonValueScope &jv, const td_api::getMapThumbnailFile &object);
void to_json(JsonValueScope &jv, const td_api::getMe &object);
void to_json(JsonValueScope &jv, const td_api::getMessage &object);
void to_json(JsonValueScope &jv, const td_api::getMessages &object);
void to_json(JsonValueScope &jv, const td_api::getNetworkStatistics &object);
void to_json(JsonValueScope &jv, const td_api::getOption &object);
void to_json(JsonValueScope &jv, const td_api::getPassportAuthorizationForm &object);
void to_json(JsonValueScope &jv, const td_api::getPassportElement &object);
void to_json(JsonValueScope &jv, const td_api::getPasswordState &object);
void to_json(JsonValueScope &jv, const td_api::getPaymentForm &object);
void to_json(JsonValueScope &jv, const td_api::getPaymentReceipt &object);
void to_json(JsonValueScope &jv, const td_api::getPreferredCountryLanguage &object);
void to_json(JsonValueScope &jv, const td_api::getProxies &object);
void to_json(JsonValueScope &jv, const td_api::getProxyLink &object);
void to_json(JsonValueScope &jv, const td_api::getPublicMessageLink &object);
void to_json(JsonValueScope &jv, const td_api::getRecentInlineBots &object);
void to_json(JsonValueScope &jv, const td_api::getRecentStickers &object);
void to_json(JsonValueScope &jv, const td_api::getRecentlyVisitedTMeUrls &object);
void to_json(JsonValueScope &jv, const td_api::getRecoveryEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::getRemoteFile &object);
void to_json(JsonValueScope &jv, const td_api::getRepliedMessage &object);
void to_json(JsonValueScope &jv, const td_api::getSavedAnimations &object);
void to_json(JsonValueScope &jv, const td_api::getSavedOrderInfo &object);
void to_json(JsonValueScope &jv, const td_api::getScopeNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::getSecretChat &object);
void to_json(JsonValueScope &jv, const td_api::getStickerEmojis &object);
void to_json(JsonValueScope &jv, const td_api::getStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::getStickers &object);
void to_json(JsonValueScope &jv, const td_api::getStorageStatistics &object);
void to_json(JsonValueScope &jv, const td_api::getStorageStatisticsFast &object);
void to_json(JsonValueScope &jv, const td_api::getSupergroup &object);
void to_json(JsonValueScope &jv, const td_api::getSupergroupFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::getSupergroupMembers &object);
void to_json(JsonValueScope &jv, const td_api::getSupportUser &object);
void to_json(JsonValueScope &jv, const td_api::getTemporaryPasswordState &object);
void to_json(JsonValueScope &jv, const td_api::getTextEntities &object);
void to_json(JsonValueScope &jv, const td_api::getTopChats &object);
void to_json(JsonValueScope &jv, const td_api::getTrendingStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::getUser &object);
void to_json(JsonValueScope &jv, const td_api::getUserFullInfo &object);
void to_json(JsonValueScope &jv, const td_api::getUserPrivacySettingRules &object);
void to_json(JsonValueScope &jv, const td_api::getUserProfilePhotos &object);
void to_json(JsonValueScope &jv, const td_api::getWallpapers &object);
void to_json(JsonValueScope &jv, const td_api::getWebPageInstantView &object);
void to_json(JsonValueScope &jv, const td_api::getWebPagePreview &object);
void to_json(JsonValueScope &jv, const td_api::importContacts &object);
void to_json(JsonValueScope &jv, const td_api::joinChat &object);
void to_json(JsonValueScope &jv, const td_api::joinChatByInviteLink &object);
void to_json(JsonValueScope &jv, const td_api::leaveChat &object);
void to_json(JsonValueScope &jv, const td_api::logOut &object);
void to_json(JsonValueScope &jv, const td_api::openChat &object);
void to_json(JsonValueScope &jv, const td_api::openMessageContent &object);
void to_json(JsonValueScope &jv, const td_api::optimizeStorage &object);
void to_json(JsonValueScope &jv, const td_api::parseTextEntities &object);
void to_json(JsonValueScope &jv, const td_api::pinSupergroupMessage &object);
void to_json(JsonValueScope &jv, const td_api::pingProxy &object);
void to_json(JsonValueScope &jv, const td_api::processDcUpdate &object);
void to_json(JsonValueScope &jv, const td_api::readAllChatMentions &object);
void to_json(JsonValueScope &jv, const td_api::recoverAuthenticationPassword &object);
void to_json(JsonValueScope &jv, const td_api::recoverPassword &object);
void to_json(JsonValueScope &jv, const td_api::registerDevice &object);
void to_json(JsonValueScope &jv, const td_api::removeContacts &object);
void to_json(JsonValueScope &jv, const td_api::removeFavoriteSticker &object);
void to_json(JsonValueScope &jv, const td_api::removeProxy &object);
void to_json(JsonValueScope &jv, const td_api::removeRecentHashtag &object);
void to_json(JsonValueScope &jv, const td_api::removeRecentSticker &object);
void to_json(JsonValueScope &jv, const td_api::removeRecentlyFoundChat &object);
void to_json(JsonValueScope &jv, const td_api::removeSavedAnimation &object);
void to_json(JsonValueScope &jv, const td_api::removeStickerFromSet &object);
void to_json(JsonValueScope &jv, const td_api::removeTopChat &object);
void to_json(JsonValueScope &jv, const td_api::reorderInstalledStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::reportChat &object);
void to_json(JsonValueScope &jv, const td_api::reportSupergroupSpam &object);
void to_json(JsonValueScope &jv, const td_api::requestAuthenticationPasswordRecovery &object);
void to_json(JsonValueScope &jv, const td_api::requestPasswordRecovery &object);
void to_json(JsonValueScope &jv, const td_api::resendAuthenticationCode &object);
void to_json(JsonValueScope &jv, const td_api::resendChangePhoneNumberCode &object);
void to_json(JsonValueScope &jv, const td_api::resendEmailAddressVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::resendPhoneNumberConfirmationCode &object);
void to_json(JsonValueScope &jv, const td_api::resendPhoneNumberVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::resetAllNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::resetNetworkStatistics &object);
void to_json(JsonValueScope &jv, const td_api::searchCallMessages &object);
void to_json(JsonValueScope &jv, const td_api::searchChatMembers &object);
void to_json(JsonValueScope &jv, const td_api::searchChatMessages &object);
void to_json(JsonValueScope &jv, const td_api::searchChatRecentLocationMessages &object);
void to_json(JsonValueScope &jv, const td_api::searchChats &object);
void to_json(JsonValueScope &jv, const td_api::searchChatsOnServer &object);
void to_json(JsonValueScope &jv, const td_api::searchContacts &object);
void to_json(JsonValueScope &jv, const td_api::searchHashtags &object);
void to_json(JsonValueScope &jv, const td_api::searchInstalledStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::searchMessages &object);
void to_json(JsonValueScope &jv, const td_api::searchPublicChat &object);
void to_json(JsonValueScope &jv, const td_api::searchPublicChats &object);
void to_json(JsonValueScope &jv, const td_api::searchSecretMessages &object);
void to_json(JsonValueScope &jv, const td_api::searchStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::searchStickerSets &object);
void to_json(JsonValueScope &jv, const td_api::searchStickers &object);
void to_json(JsonValueScope &jv, const td_api::sendBotStartMessage &object);
void to_json(JsonValueScope &jv, const td_api::sendCallDebugInformation &object);
void to_json(JsonValueScope &jv, const td_api::sendCallRating &object);
void to_json(JsonValueScope &jv, const td_api::sendChatAction &object);
void to_json(JsonValueScope &jv, const td_api::sendChatScreenshotTakenNotification &object);
void to_json(JsonValueScope &jv, const td_api::sendChatSetTtlMessage &object);
void to_json(JsonValueScope &jv, const td_api::sendCustomRequest &object);
void to_json(JsonValueScope &jv, const td_api::sendEmailAddressVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::sendInlineQueryResultMessage &object);
void to_json(JsonValueScope &jv, const td_api::sendMessage &object);
void to_json(JsonValueScope &jv, const td_api::sendMessageAlbum &object);
void to_json(JsonValueScope &jv, const td_api::sendPassportAuthorizationForm &object);
void to_json(JsonValueScope &jv, const td_api::sendPaymentForm &object);
void to_json(JsonValueScope &jv, const td_api::sendPhoneNumberConfirmationCode &object);
void to_json(JsonValueScope &jv, const td_api::sendPhoneNumberVerificationCode &object);
void to_json(JsonValueScope &jv, const td_api::setAccountTtl &object);
void to_json(JsonValueScope &jv, const td_api::setAlarm &object);
void to_json(JsonValueScope &jv, const td_api::setAuthenticationPhoneNumber &object);
void to_json(JsonValueScope &jv, const td_api::setBio &object);
void to_json(JsonValueScope &jv, const td_api::setBotUpdatesStatus &object);
void to_json(JsonValueScope &jv, const td_api::setChatClientData &object);
void to_json(JsonValueScope &jv, const td_api::setChatDraftMessage &object);
void to_json(JsonValueScope &jv, const td_api::setChatMemberStatus &object);
void to_json(JsonValueScope &jv, const td_api::setChatNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::setChatPhoto &object);
void to_json(JsonValueScope &jv, const td_api::setChatTitle &object);
void to_json(JsonValueScope &jv, const td_api::setCustomLanguagePack &object);
void to_json(JsonValueScope &jv, const td_api::setCustomLanguagePackString &object);
void to_json(JsonValueScope &jv, const td_api::setDatabaseEncryptionKey &object);
void to_json(JsonValueScope &jv, const td_api::setFileGenerationProgress &object);
void to_json(JsonValueScope &jv, const td_api::setGameScore &object);
void to_json(JsonValueScope &jv, const td_api::setInlineGameScore &object);
void to_json(JsonValueScope &jv, const td_api::setName &object);
void to_json(JsonValueScope &jv, const td_api::setNetworkType &object);
void to_json(JsonValueScope &jv, const td_api::setOption &object);
void to_json(JsonValueScope &jv, const td_api::setPassportElement &object);
void to_json(JsonValueScope &jv, const td_api::setPassportElementErrors &object);
void to_json(JsonValueScope &jv, const td_api::setPassword &object);
void to_json(JsonValueScope &jv, const td_api::setPinnedChats &object);
void to_json(JsonValueScope &jv, const td_api::setProfilePhoto &object);
void to_json(JsonValueScope &jv, const td_api::setRecoveryEmailAddress &object);
void to_json(JsonValueScope &jv, const td_api::setScopeNotificationSettings &object);
void to_json(JsonValueScope &jv, const td_api::setStickerPositionInSet &object);
void to_json(JsonValueScope &jv, const td_api::setSupergroupDescription &object);
void to_json(JsonValueScope &jv, const td_api::setSupergroupStickerSet &object);
void to_json(JsonValueScope &jv, const td_api::setSupergroupUsername &object);
void to_json(JsonValueScope &jv, const td_api::setTdlibParameters &object);
void to_json(JsonValueScope &jv, const td_api::setUserPrivacySettingRules &object);
void to_json(JsonValueScope &jv, const td_api::setUsername &object);
void to_json(JsonValueScope &jv, const td_api::terminateAllOtherSessions &object);
void to_json(JsonValueScope &jv, const td_api::terminateSession &object);
void to_json(JsonValueScope &jv, const td_api::testCallBytes &object);
void to_json(JsonValueScope &jv, const td_api::testCallEmpty &object);
void to_json(JsonValueScope &jv, const td_api::testCallString &object);
void to_json(JsonValueScope &jv, const td_api::testCallVectorInt &object);
void to_json(JsonValueScope &jv, const td_api::testCallVectorIntObject &object);
void to_json(JsonValueScope &jv, const td_api::testCallVectorString &object);
void to_json(JsonValueScope &jv, const td_api::testCallVectorStringObject &object);
void to_json(JsonValueScope &jv, const td_api::testGetDifference &object);
void to_json(JsonValueScope &jv, const td_api::testNetwork &object);
void to_json(JsonValueScope &jv, const td_api::testSquareInt &object);
void to_json(JsonValueScope &jv, const td_api::testUseError &object);
void to_json(JsonValueScope &jv, const td_api::testUseUpdate &object);
void to_json(JsonValueScope &jv, const td_api::toggleBasicGroupAdministrators &object);
void to_json(JsonValueScope &jv, const td_api::toggleChatDefaultDisableNotification &object);
void to_json(JsonValueScope &jv, const td_api::toggleChatIsMarkedAsUnread &object);
void to_json(JsonValueScope &jv, const td_api::toggleChatIsPinned &object);
void to_json(JsonValueScope &jv, const td_api::toggleSupergroupInvites &object);
void to_json(JsonValueScope &jv, const td_api::toggleSupergroupIsAllHistoryAvailable &object);
void to_json(JsonValueScope &jv, const td_api::toggleSupergroupSignMessages &object);
void to_json(JsonValueScope &jv, const td_api::unblockUser &object);
void to_json(JsonValueScope &jv, const td_api::unpinSupergroupMessage &object);
void to_json(JsonValueScope &jv, const td_api::upgradeBasicGroupChatToSupergroupChat &object);
void to_json(JsonValueScope &jv, const td_api::uploadFile &object);
void to_json(JsonValueScope &jv, const td_api::uploadStickerFile &object);
void to_json(JsonValueScope &jv, const td_api::validateOrderInfo &object);
void to_json(JsonValueScope &jv, const td_api::viewMessages &object);
void to_json(JsonValueScope &jv, const td_api::viewTrendingStickerSets &object);
}  // namespace td_api
}  // namespace td
